<?php

class Event_Api {
	public function get_event( $event_id, $args ) {
		$key              = sprintf( 'eb_event_details_cache_%d', $event_id );
		$maybe_event = get_transient( $key );
		if ( $maybe_event ) {
			return unserialize( $maybe_event );
		}
		$base_url = trailingslashit( EVB_API_ENDPOINT ) . 'v3/events/%d/';
		$args['token']    = get_option( 'api_access_token', '' );
		$url      = sprintf( $base_url, absint(  $event_id) ) . '?' . http_build_query( $args );
		$response = wp_remote_get( $url );

		if ( 200 !== wp_remote_retrieve_response_code( $response ) ) {
			error_log("EB Error: ". $response);
			return [];
		}
		$body = json_decode(wp_remote_retrieve_body( $response ));
		set_transient( $key, serialize($body), 3600 );

		return $body;
	}
}
