<?php

class Performer_Api {
	public function get_top_performers( $event_id ) {
		$key              = sprintf( 'eb_event_performer_cache_%d', $event_id );
		$maybe_performers = get_transient( $key );
		if ( $maybe_performers ) {
			$data = unserialize( $maybe_performers );

			return isset( $data->performances ) ? $data->performances : [];
		}
		$base_url = trailingslashit( EVB_API_ENDPOINT ) . 'v3/events/%d/performances';
		$token    = get_option( 'api_access_token', '' );
		$url      = sprintf(
			            $base_url,
			            absint( $event_id )
		            ) . '?token=' . $token;
		$response = wp_remote_get( $url );

		if ( 200 !== wp_remote_retrieve_response_code( $response ) ) {
			return [];
		}
		$body = json_decode( wp_remote_retrieve_body( $response ) );
		set_transient( $key, serialize( $body ), 3600 );
		if ( empty( $body->performances ) ) {
			return [];
		}

		return $body->performances;
	}
}
