<?php

include plugin_dir_path( __FILE__ ) . 'Imgix/UrlBuilder.php';
include plugin_dir_path( __FILE__ ) . 'Imgix/UrlHelper.php';

use Imgix\UrlBuilder;

if ( ! function_exists( 'eb_search_jsonld_markup' ) ) {
	function eb_search_jsonld_markup() {
		global $wp_query;

		if ( ! is_front_page() ) {
			return;
		}

		$search_results_page = ( $wp_query->tfly_search_page ) ? $wp_query->tfly_search_page : eb_URL( 'listing' );
		?>

		<script type="application/ld+json">
{
  "@context": "http://schema.org",
  "@type": "WebSite",
  "url": <?php echo wp_json_encode( esc_url( site_url( '/' ) ) ); ?>,
  "potentialAction": {
    "@type": "SearchAction",
    "target": <?php echo wp_json_encode( esc_url( site_url( $search_results_page . '?q={search_term_string}' ) ) ); ?>,
    "query-input": "required name=search_term_string"
  }
}









		</script>

		<?php
		return;
	}
}

function eb_owlcarousel( $options = [] ) {
	$arguments = implode( ",", $options );
	echo '
<script type="text/javascript">
      var carousel;
      jQuery(document).ready(function () {
        carousel = new eb.carousel(' . esc_html( $arguments ) . ');
      });
</script>
';
}

function eb_plugin_dir_URL() {
	return untrailingslashit( dirname( plugin_dir_url( __FILE__ ) ) );
}

if ( ! function_exists( 'eb_is_valid_field' ) ) {
	function eb_is_valid_field( $field_name ) {
		$s = (string) $field_name;

		return ( strlen( $s ) > 0 );
	}
}

function eb_imageUrlBuild( $imageurl ) {
	$imgUrl   = str_replace( [ 'https://img.evbuc.com/', 'https://img-dev.evbuc.com/' ], '', $imageurl );
	$imgSrc   = substr( $imgUrl, 0, strpos( $imgUrl, "?" ) );
	$imageUrl = urldecode( $imgSrc );

	return $imageUrl;
}

function eb_imageTag(
	$imagePath = '',
	$imageWidth = '',
	$imageHeight = '',
	$imageTitle = '',
	$linkUrl = '',
	$imageSize = 'medium1',
	$className = '',
	$event = null
) {
	$eb_imageSizes = [
		'jumbo'       => [ 'w' => '960', 'h' => '', 'auto' => 'compress', 'fit' => 'clip' ],
		'jumbo-eb'    => [ 'w' => '960', 'h' => '480', 'auto' => 'compress', 'fit' => 'clip' ],
		'jumbo1'      => [ 'w' => '960', 'h' => '540', 'auto' => 'compress', 'crop' => 'top', 'fit' => 'crop' ],
		'large'       => [ 'w' => '300', 'h' => '', 'auto' => 'compress', 'fit' => 'clip' ],
		'large-eb'    => [ 'w' => '300', 'h' => '150', 'auto' => 'compress', 'fit' => 'clip' ],
		'large1'      => [ 'w' => '300', 'h' => '200', 'auto' => 'compress', 'crop' => 'top', 'fit' => 'crop' ],
		'medium'      => [ 'w' => '200', 'h' => '', 'auto' => 'compress', 'fit' => 'clip' ],
		'medium-eb'   => [ 'w' => '200', 'h' => '100', 'auto' => 'compress', 'fit' => 'clip' ],
		'medium1'     => [ 'w' => '200', 'h' => '133', 'auto' => 'compress', 'crop' => 'top', 'fit' => 'crop' ],
		'small'       => [ 'w' => '100', 'h' => '', 'auto' => 'compress', 'fit' => 'clip' ],
		'small-eb'    => [ 'w' => '100', 'h' => '50', 'auto' => 'compress', 'fit' => 'clip' ],
		'small1'      => [ 'w' => '100', 'h' => '67', 'auto' => 'compress', 'crop' => 'top', 'fit' => 'crop' ],
		'square'      => [ 'w' => '100', 'h' => '100', 'auto' => 'compress', 'crop' => 'top', 'fit' => 'crop' ],
		'square-eb'   => [ 'w' => '100', 'h' => '100', 'auto' => 'compress', 'crop' => 'top', 'fit' => 'crop' ],
		'squareSmall' => [ 'w' => '60', 'h' => '60', 'auto' => 'compress', 'crop' => 'top', 'fit' => 'crop' ],
		'xlarge'      => [ 'w' => '500', 'h' => '', 'auto' => 'compress', 'fit' => 'clip' ],
		'xlarge-eb'   => [ 'w' => '500', 'h' => '250', 'auto' => 'compress', 'fit' => 'clip' ],
		'xlarge1'     => [ 'w' => '500', 'h' => '333', 'auto' => 'compress', 'crop' => 'top', 'fit' => 'crop' ],
		'xxlarge'     => [ 'w' => '650', 'h' => '', 'auto' => 'compress', 'fit' => 'clip' ],
		'xxlarge-eb'  => [ 'w' => '650', 'h' => '320', 'auto' => 'compress', 'fit' => 'clip' ],
		'xxlarge1'    => [ 'w' => '650', 'h' => '433', 'auto' => 'compress', 'crop' => 'top', 'fit' => 'crop' ],
		'og-eb'       => [ 'w' => '1280', 'h' => '640', 'auto' => 'compress', 'fit' => 'clip' ],
		'og'          => [ 'w' => '1280', 'h' => '640', 'auto' => 'compress', 'fit' => 'clip' ],
	];

	$cropped_image_sizes = [
		'small-eb',
		'medium-eb',
		'large-eb',
		'xlarge-eb',
		'xxlarge-eb',
		'jumbo-eb',
		'og-eb',
		'og',
	];

	if ( ! eb_is_valid_field( $imagePath ) && $imageSize ) {
		$imagePath = eb_plugin_dir_URL() . '/images/no-image.png';
	}

	//todo: dynamic width and height options from shortcode
	$imageWidth = ( isset( $eb_imageSizes[ $imageSize ][ 'w' ] ) && ! empty( $eb_imageSizes[ $imageSize ][ 'w' ] ) )
		? $eb_imageSizes[ $imageSize ][ 'w' ]
		: '';

	$imageHeight = ( isset( $eb_imageSizes[ $imageSize ][ 'h' ] ) && ! empty( $eb_imageSizes[ $imageSize ][ 'h' ] ) )
		? ' height="' . absint( $eb_imageSizes[ $imageSize ][ 'h' ] ) . '"'
		: '';

	$builder = new UrlBuilder( "img-dev.evbuc.com" );
	$builder->setUseHttps( true );
	$builder->setSignKey( IMGIX_SIG );
	$params = isset( $eb_imageSizes[ $imageSize ] ) ? $eb_imageSizes[ $imageSize ] : $eb_imageSizes[ 'medium' ];

	if ( in_array( $imageSize, $cropped_image_sizes, true ) ) {
		$crop = [
			'y'      => 0,
			'x'      => 0,
			'width'  => 0,
			'height' => 0,
		];
		if ( $event && $event->logo ) {
			$crop[ 'x' ]      = $event->logo->crop_mask->top_left->x;
			$crop[ 'y' ]      = $event->logo->crop_mask->top_left->y;
			$crop[ 'height' ] = $event->logo->crop_mask->height;
			$crop[ 'width' ]  = $event->logo->crop_mask->width;
		}

		$params[ 'rect' ] = sprintf( '%d,%d,%d,%d', $crop[ 'x' ], $crop[ 'y' ], $crop[ 'width' ], $crop[ 'height' ] );
	}

	$imagePath  = $builder->createURL( $imagePath, $params );
	$className  = ( $className ) ? ' class="' . $className . '"' : '';
	$imageTitle = esc_attr( $imageTitle );

	$imgTag = sprintf( '<img src="%s"%s width="%s"%s alt="%s" title="%s" />', $imagePath, $className, $imageWidth,
		$imageHeight, $imageTitle, $imageTitle );
	if ( eb_is_valid_field( $linkUrl ) ) {
		$imgTag = '<a href="' . esc_url( $linkUrl ) . '">' . $imgTag . '</a>';
	}

	return $imgTag;
}

function eb_locate_template( $template_names, $load = false, $require_once = false ) {
	$located = '';

	if ( ! is_array( $template_names ) ) {
		$template_names = [ $template_names ];
	}

	foreach ( $template_names as $template_name ) {
		if ( ! $template_name ) {
			continue;
		}
		if ( file_exists( STYLESHEETPATH . '/eventbrite-events/' . $template_name . '.php' ) ) {
			$located = STYLESHEETPATH . '/eventbrite-events/' . $template_name . '.php';
			break;
		} else if ( file_exists( dirname( __FILE__ ) . '/' . $template_name . '.php' ) ) {
			$located = dirname( __FILE__ ) . '/' . $template_name . '.php';
			break;
		}
	}

	$located = apply_filters( 'eb_template', $located, $template_names );

	if ( $load && ! empty( $located ) && file_exists( $located ) ) {
		if ( $require_once ) {
			require_once( $located );
		} else {
			require( $located );
		}
	}

	return $located;
}

if ( ! function_exists( 'eb_createEventSlug' ) ) {
	function eb_createEventSlug( $eventName = '' ) {
		if ( empty( $eventName ) ) {
			return;
		}

		return sanitize_title_with_dashes( truncateStringNearestWord( $eventName ), '', 'save' );
	}
}

if ( ! function_exists( 'eb_getPerformanceRoles' ) ) {
	function eb_getPerformanceRoles( $performances, $role ) {

		if ( ! isset( $performances ) ) {
			return false;
		}

		$performers = [];
		foreach ( $performances as $h ) {
			if ( $h->performer_role === $role && eb_is_valid_field( $h->display_name ) ) {
				$performers[] = $h->display_name;
			}
		}

		return $performers;

	}
}

if ( ! function_exists( 'eb_getHeadlinersMarkup' ) ) {
	function eb_getHeadlinersMarkup( $headliners, $templateClass = '', $edpUrl ) {
		if ( false === $headliners ) {
			return '';
		}
		$aHref = '';
		$href  = '';
		if ( ! in_array( $templateClass, [ '', 'eventdetail', 'mobilelistview' ], true ) ) {
			$aHref = '<a href="' . esc_url( $edpUrl ) . '">';
			$href  = '</a>';
		}
		$markup = '';
		foreach ( (array) $headliners as $i => $h ) {
			$markup .= '<section class="headliners">' . $aHref . esc_html( $h ) . $href . '</section>';
		}

		return $markup;
	}
}

if ( ! function_exists( 'eb_getSupportsMarkup' ) ) {
	function eb_getSupportsMarkup( $supports, $templateClass = '', $edpUrl ) {
		if ( false === $supports ) {
			return '';
		}
		$aHref = '';
		$href  = '';
		if ( ! in_array( $templateClass, [ '', 'eventdetail', 'mobilelistview' ], true ) ) {
			$aHref = '<a href="' . esc_url( $edpUrl ) . '">';
			$href  = '</a>';
		}
		$markup = '';
		if ( in_array( $templateClass, [ 'listview', 'mobilelistview' ], true ) ) {
			$markup = '<section class="supports">' . $aHref . esc_html( implode( ", ",
					(array) $supports ) ) . $href . '</section>';
		} else {
			foreach ( (array) $supports as $i => $h ) {
				$markup .= '<section class="supports">' . $aHref . esc_html( $h ) . $href . '</section>';
			}
		}

		return $markup;
	}
}


if ( ! function_exists( 'eb_urlBaseLinkSlug' ) ) {
	function eb_urlBaseLinkSlug( $url, $eventSlug ) {
		$parsedUrl = wp_parse_url( $url );
		if ( ! $parsedUrl ) {
			return false;
		}
		$trailingSlash       = ( strrpos( $parsedUrl[ 'path' ], '/', strlen( $parsedUrl[ 'path' ] ) - 1 ) ) ? '/' : '';
		$parsedUrl[ 'path' ] = untrailingslashit( $parsedUrl[ path ] ) . '-' . $eventSlug . $trailingSlash;
		$purchaseUrl         = http_build_url( '', $parsedUrl );

		return $purchaseUrl;
	}
}

if ( ! function_exists( 'eb_getInitialUrlVars' ) ) {
	function eb_getInitialUrlVars( $event ) {
		$urlVars = [];
		if ( isset( $event->url ) ) {
			$urlVars[ 'url' ] = $event->url;
		}
		if ( isset( $event->name->text ) ) {
			$urlVars[ 'eventName' ] = $event->name->text;
			$urlVars[ 'eventSlug' ] = preg_replace( '/[^a-z]+/i', '-', strtolower( $event->name->text ) );
		}

		return apply_filters( 'eb_url_vars', $urlVars, $event );
	}
}

if ( ! function_exists( 'eb_filterUrl' ) ) {
	function eb_filterUrl( $url = '' ) {
		if ( $url ) {
			$queryString = '';
			$parsedQuery = '';
			$parsedUrl   = wp_parse_url( $url );
			if ( isset( $parsedUrl[ 'query' ] ) ) {
				parse_str( $parsedUrl[ 'query' ], $parsedQuery );
			}
			if ( isset( $parsedQuery[ 'utm_medium' ] ) && $parsedQuery[ 'utm_medium' ] === 'api' ) {
				unset( $parsedQuery[ 'utm_medium' ] );
			}
			if ( ! empty( $parsedQuery ) ) {
				$queryString = http_build_query( $parsedQuery );
			}
			$purchaseUrl = $parsedUrl[ 'scheme' ] . '://' . $parsedUrl[ 'host' ];
			if ( isset( $parsedUrl[ 'path' ] ) ) {
				$purchaseUrl .= $parsedUrl[ 'path' ];
			}
			if ( ! empty( $queryString ) ) {
				$purchaseUrl .= '?' . $queryString;
			}

			return $purchaseUrl;
		}

		return false;
	}
}

if ( ! function_exists( 'eb_URL' ) ) {
	function eb_URL( $urlType = '', $id = '', $type = '', $vars = [] ) {

		switch ( $urlType ) {
			case 'ical':
				$url = 'feed/ical/';
				if ( 'venue_details' === $type ) {
					$type = 'venue';
				}
				break;
			case 'listing':
				$url = '/listing/';
				break;
			case 'attraction':
				$url = '/attraction/';
				$id  = strtolower( $id );
				break;
			case 'event':
			case 'eb_event_details':
				$url = '/e/';
				break;
			case 'calendar':
				$url = '/calendar/';
				break;
			case 'org':
			case 'org_details':
				$url = '/org/';
				break;
			case 'venue':
			case 'venue_details':
				$url = '/venue/';
				break;
			default:
				$url = '/';
		}

		if ( ( $type === 'org' || $type === 'venue' ) ) {
			$type = $type . "/";
		}
		if ( ( $id !== '' && is_int( (int) $id ) ) ) {
			if ( isset( $vars[ 'eventSlug' ] ) ) {
				$id = $vars[ 'eventSlug' ] . '-' . $id;
			} elseif ( ( $urlType === 'org' || $urlType === 'venue' ) && isset( $vars[ 'orgVenueName' ] ) ) {
				$slug = eb_createEventSlug( $vars[ 'orgVenueName' ] );
				if ( ! empty( $slug ) ) {
					$id = $id . '-' . $slug;
				}
			}
			$id = trailingslashit( $id );
		}

		if ( 'ical' === $urlType ) {
			$url = "/" . $type . $id . $url;
		} else {
			$url .= $type . $id;
		}

		return esc_url( get_option( 'siteurl' ) . apply_filters( 'eb_url_link', $url, $vars ) );
	}
}

function eb_widgetVars() {
	global $eventbrite_music;
	$settings      = $eventbrite_music->get_options();
	$embedModal    = $settings[ 'enable_purchase_modal' ];
	$ga_ua_code    = ( isset( $settings[ 'ga_ua_code' ] ) && ( ! empty( $settings[ 'ga_ua_code' ] ) ) )
		? $settings[ 'ga_ua_code' ] : '';
	$affiliateCode = $settings[ 'affiliate_code' ];

	$safe_output = '<script>var embedModal = ' . wp_json_encode( esc_html( $embedModal ) ) . ';
var ga_ua_code = ' . wp_json_encode( esc_html( $ga_ua_code ) ) . ';
var affiliateCode = ' . wp_json_encode( esc_html( $affiliateCode ) ) . ';</script>';
	echo $safe_output;
}

if ( ! is_admin() ) {
	function add_async_attribute( $tag, $handle ) {
		if ( strpos( $handle, 'async' ) !== false ) {
			return str_replace( '<script ', '<script async ', $tag );
		}

		return $tag;
	}

	add_filter( 'script_loader_tag', 'add_async_attribute', 10, 2 );
}

function eb_widgetJs( $settings ) {
	if ( ! is_admin() && ( isset( $settings[ 'enable_purchase_modal' ] ) ) && ( '1' === $settings[ 'enable_purchase_modal' ] ) ) {
		wp_enqueue_script( 'ebWidget', 'https://www.eventbrite.com/static/widgets/eb_widgets.js', false );
		wp_enqueue_script( 'widgetFunction', eb_plugin_dir_URL() . '/js/widgetLoad.js', '', EB_VERSION, true );
		add_action( 'wp_head', 'eb_widgetVars' );
	}
}


/**
 * Sends data to the Eventbrite API on submitting the email form.
 * If called directly, it prints the output, else if called through AJAX,
 * returns boolean.
 *
 * @param string $name Name
 * @param string $lastName Last name
 * @param string $email Email ID
 * @param int    $list Site ID / List
 *
 * @return bool
 */
function submit_emailForm( $name, $lastName, $email, $list ) {

	$url = EVB_API_ENDPOINT . '/v3/missive/contact_lists/' . $list . '/subscribe/?token=' . get_option( Oauth::TOKEN,
			'' );

	// setup request to send json via POST
	// convert form data to json format
	$data    = [
		'contact'    => $email,
		'first_name' => $name,
		'last_name'  => $lastName,
	];
	$payload = wp_json_encode( [ 'contact_list_item' => $data ] );
	$request = wp_remote_post( $url, [
		'body'        => $payload,
		'headers'     => [ 'Content-Type' => 'application/json;' ],
		'data_format' => 'body',
	] );

	$result       = wp_remote_retrieve_body( $request );
	$result_class = 'success';
	$result_msg   = 'You have successfully subscribed.';

	if ( $result !== '{}' ) {
		$result_class = 'error';
		$result_msg   = 'There has been an error, please try again.';
	}

	if ( wp_doing_ajax() ) {
		return true;
	} else {
		echo sprintf( '<p class="eb-email-result %s">%s</p>', esc_html( $result_class ), esc_html( $result_msg ) );
	}

}

/**
 * Function to handle the AJAX call for Email Subscribe form submission.
 */
function emailform_ajax_func() {
	if ( false === check_ajax_referer( 'eb_emailform_nonce', 'nonce', false ) ) {
		wp_send_json_error();
	}

	if ( ! isset( $_POST[ 'list' ] ) || empty( $_POST[ 'list' ] ) ) {
		wp_send_json_error();
	}

	if ( ! isset( $_POST[ 'email' ] ) || ! is_email( $_POST[ 'email' ] ) ) {
		wp_send_json_error();
	}

	$result = submit_emailForm(
		'',
		'',
		sanitize_text_field( $_POST[ 'email' ] ),
		sanitize_text_field( $_POST[ 'list' ] )
	);

	if ( true === $result ) {
		wp_send_json_success( esc_html__( 'You have successfully subscribed.', 'eventbrite' ) );
	} else {
		wp_send_json_error();
	}
}

function eb_onSaleSoon( $event, $linkTarget, $dateformat ) {
	date_default_timezone_set( 'America/Los_Angeles' );
	date_default_timezone_set( $event->ticket_availability->start_sales_date->timezone );
	( $event->event_sales_status->message_type === 'custom' ) ?
		( $purchaseLinkTxt = $event->event_sales_status->message ) :
		$purchaseLinkTxt = 'On Sale <br />' . date( $dateformat,
				strtotime( $event->ticket_availability->start_sales_date->local ) ) . '<br />' . date( "g:i a T",
				strtotime( $event->ticket_availability->start_sales_date->local ) );
	$purchaseLink = eb_purchaseLink( $event, $purchaseLinkTxt, $linkTarget, 'future-sale', '', false );
	if ( $purchaseLink ) {
		$markup = $purchaseLink;
	} else {
		$markup = $purchaseLinkTxt;
	}

	return $markup;
}

function eb_ticketStatus( $event ) {
	$status = 'TICKETS';
	if ( $event->is_externally_ticketed === true ) {
		return 'EXTERNAL';
	}
	if ( $event->is_free === true ) {
		return 'FREE';
	}
	if ( $event->event_sales_status->sales_status === 'sales_ended' || $event->event_sales_status->sales_status === 'unavailable' ) {
		return 'SALES_ENDED';
	}
	if ( $event->event_sales_status->sales_status === 'sold_out' ) {
		return 'SOLD_OUT';
	}
	if ( $event->event_sales_status->sales_status === 'not_yet_on_sale' ) {
		return 'NOT_YET_ON_SALE';
	}

	return $status;
}

function eb_sales_ended( $event ) {
	$status             = $event->event_sales_status->message_code;
	$eventStatusMessage = $event->event_sales_status->message;
	switch ( $status ) :
		case 'tickets_unavailable':
			$statusClass = 'unavailable';
			break;
		case 'event_cancelled':
			$statusClass = 'cancelled';
			break;
		case 'event_postponed':
			$statusClass = 'postponed';
			break;
		case 'tickets_with_sales_ended':
			$statusClass = 'sales-ended';
			break;
		case 'tickets_sold_out':
			$statusClass = 'sold-out';
			break;
		case 'tickets_at_the_door':
			$statusClass = 'tickets-at-the-door';
			break;
		default:
			$statusClass = 'custom';
	endswitch;

	$markup = '<span class="' . esc_attr( $statusClass ) . ' inactive">' . esc_html( $eventStatusMessage ) . '</span>';

	return $markup;
}

function eb_buyTicketLink( $settings, $event, $dateformat ) {
	$markup      = '';
	$linkTarget  = ( ( isset( $settings[ 'enable_purchase_links' ] ) ) && ( '1' === $settings[ 'enable_purchase_links' ] ) );
	$eventStatus = eb_ticketStatus( $event );
	$linkText    = _( "Tickets" );
	$hrefClass   = 'ticket-link';
	$freeClass   = '';

	if ( $event->is_free ) {
		$linkText  = _( "Free" );
		$freeClass = ' free';
	}

	switch ( $eventStatus ) :
		case 'SALES_ENDED':
		case 'SOLD_OUT':
			$markup = eb_sales_ended( $event );
			break;
		case 'NOT_YET_ON_SALE':
			$markup = eb_onSaleSoon( $event, $linkTarget, $dateformat );
			break;
		case 'EXTERNAL':
			$markup = eb_purchaseLink( $event, $linkText, $linkTarget, 'external ticket-link', '', true );
			break;
		default:

			//tickets now on sale
			if ( ( isset( $settings[ 'enable_purchase_modal' ] ) ) && ( '1' === $settings[ 'enable_purchase_modal' ] ) ) {
				$markup = eb_purchaseEmbed( $event->url, $event->id, $linkText, $hrefClass, $freeClass );
			} else {
				$markup = eb_purchaseLink( $event, $linkText, $linkTarget, $hrefClass, $freeClass, false );
			}

	endswitch;

	return $markup;
}

function eb_purchaseEmbed( $eventUrl, $eventId, $linkText, $hrefClass, $freeClass ) {
	$embedMarkup = '<noscript><a class="tickets" rel="noopener noreferrer" target="_blank"></noscript>';
	$embedMarkup .= '<button aria-haspopup="true" id="eventbrite-widget-modal-trigger-' . esc_attr( $eventId ) . '" href="' .
	                esc_url( $eventUrl ) . '" type="button" class="' . esc_attr( $hrefClass ) . ' primary-link' .
	                esc_attr( $freeClass ) . '">' . esc_html( $linkText ) . '</button>';
	$embedMarkup .= '<noscript></a></noscript>';

	return $embedMarkup;
}

if ( ! function_exists( 'eb_purchaseLink' ) ) {
	function eb_purchaseLink(
		$eventData = '',
		$linkText = '',
		$linkTarget = false,
		$hrefClass = '',
		$freeClass = '',
		$externalLink
	) {
		if ( ! isset( $eventData->url ) || empty( $eventData->url ) ) {
			return false;
		}

		$eventName   = $eventData->name;
		$purchaseUrl = $eventData->url;
		if ( $externalLink && isset( $eventData->tickets_url ) ) {
			$purchaseUrl = $eventData->tickets_url;
			$linkTarget  = true;
		}
		if ( $linkTarget ) {
			$linkTarget = ' target="_blank" rel="noopener"';
		}
		$markupTemplate = apply_filters( 'eb_filter_purchase_link',
			'<article class="%s%s primary-link"><a aria-label="Purchase Tickets for %s" class="tickets eb" href="%s"%s>%s</a></article>' );

		return sprintf( $markupTemplate, esc_attr( $hrefClass ), esc_attr( $freeClass ), esc_attr( $eventName->text ),
			esc_url( $purchaseUrl ), $linkTarget, wp_kses( $linkText, [ 'br' => [] ] ) );

	}
}


function eb_get_ticketPriceCurrency( $price, $currency ) {
	return '$' . $price;
}

// tf_ version in mobile plugin
function eb_get_cleanTicketPrice( $maxPrice = '', $minPrice = '', $currency, $isFree ) {
	if ( $isFree === true || empty( $minPrice ) ) {
		return false;
	}
	$cleanPriceRange = false;
	if ( $maxPrice !== null && $maxPrice > $minPrice ) {
		$cleanPriceRange = eb_get_ticketPriceCurrency( $minPrice,
				$currency ) . ' - ' . eb_get_ticketPriceCurrency( $maxPrice, $currency );
	}
	$price = eb_get_ticketPriceCurrency( $minPrice, $currency );

	return ( $cleanPriceRange ) ? $cleanPriceRange : $price;
}

function eb_getDateTime( $date, $time = '', $timezone = '' ) {
	if ( empty( $date ) ) {
		return '';
	}
	try {
		$date = new DateTime( $date . ' ' . $time, new DateTimeZone( $timezone ) );
	} catch ( Exception $e ) {
		return '';
	}

	return $date->format( 'c' );
}

function eb_eventDate( $format = '', $timestamp = '' ) {
	if ( false !== strpos( $format, '%' ) ) {
		return strftime( $format, $timestamp );
	} else {
		return date( $format, $timestamp );
	}
}

function eb_get_eventDates( $event = false, $exclude = [], $dateformat = "D, F j, Y", $class = '' ) {
	if ( in_array( "dates", $exclude, true ) ) {
		return '';
	}

	if ( $event->hide_start_date ) {
		return '<span class="dates no-date"> </span>';
	}
	$dateRange = ( eb_is_valid_field( $event->start->local ) && ! in_array( "startdate", $exclude, true ) );

	$isMultiDay = ( ( strtotime( $event->start->local ) < strtotime( $event->end->local ) ) && ! in_array( "enddate",
			$exclude, true ) );

	return sprintf( '%s%s%s%s%s',
		$dateRange ? '<span class="' . esc_attr( $class ) . '">' : '',
		$dateRange ? wp_kses_post( eb_eventDate( $dateformat, strtotime( $event->start->local ) ) ) : '',
		$isMultiDay ? '<span class="endate dtend"><span class="value-title" title="' . date( 'c',
				strtotime( $event->end->local ) ) . '">' : '',
		$isMultiDay ? '</span> - ' . wp_kses_post( eb_eventDate( $dateformat,
				strtotime( $event->end->local ) ) ) . '</span>' : '',
		$dateRange ? '</span>' : ''
	);
}

function eb_get_cleanTime( $date = '', $timeformat = "g:i A" ) {
	if ( empty( $date ) || empty( $timeformat ) ) {
		return '';
	}
	$dateParsed = date_parse( $date );
	if ( isset( $dateParsed[ "minute" ] ) && ( $dateParsed[ "minute" ] === 0 ) ) {
		$timeformat = "g A";
	}

	return date( $timeformat, strtotime( $date ) );
}

function eb_get_eventTimes( $event = false, $include = [], $exclude = [], $timeformat = "g:i A" ) {
	if ( in_array( "times", $exclude, true ) ) {
		return '';
	}

	$showDoorsTime = ( eb_is_valid_field( $event->music_properties->door_time ) && ! in_array( "doorsdate", $exclude,
			true ) && ! in_array( "doors", $exclude, true ) );
	$doorsTime     = $event->music_properties->door_time;
	$showStartTime = ( eb_is_valid_field( $event->start->local ) && ! in_array( "starttime", $exclude, true ) );
	$startTime     = $event->start->local;
	$endTime       = ( eb_is_valid_field( $event->end->local ) && ! in_array( "enddate", $exclude, true ) );

	$showBoth      = ( $showStartTime && $showDoorsTime && ( $doorsTime !== $startTime ) );
	$forceShowTime = ( in_array( "starttime", $exclude, true ) && $showDoorsTime );

	return sprintf( '%s%s%s%s%s%s%s',
		( $showBoth || $forceShowTime ) ? '<span class="doors">Doors: ' . eb_get_cleanTime( $doorsTime,
				$timeformat ) . '</span>' : '',
		( $showBoth ) ? ' <span class="sep">/</span> ' : '',
		$showStartTime ? '<span class="start">' : '',
		( $showBoth ) ? 'Show: ' : '',
		$showStartTime ? eb_get_cleanTime( $startTime, $timeformat ) : '',
		$showStartTime ? '</span>' : '',
		( $endTime && ( $include !== null ) && in_array( "endtime", $include,
				true ) && ( false === eb_displayEndDate( $event ) ) ) ?
			' <span class="end">(ends ' . eb_get_cleanTime( $event->end->local, $timeformat ) . ')</span>' : ''
	);
}

function eb_displayEndDate( $event = false ) {
	if ( ( false === $event ) || ! isset( $event->start ) || ! isset( $event->end ) ) {
		return false;
	}

	return ( strtotime( date( "Y-m-d",
				strtotime( $event->start->local . ' + 1day' ) ) . '+ 4hours' ) < strtotime( $event->end->local ) );
}

if ( ! function_exists( 'eb_addClassIds' ) ) {
	function eb_addClassIds( $event = '' ) {
		$classIds = '';
		if ( isset( $event->id ) ) {
			$classIds = 'eb-event-id-' . $event->id;
		}
		if ( isset( $event->organizer_id ) ) {
			$classIds .= ' eb-org-id-' . $event->organizer_id;
		}
		if ( isset( $event->venue_id ) ) {
			$classIds .= ' eb-venue-id-' . $event->venue_id;
		}

		return $classIds;
	}
}

function eb_listview_pagination( $pagination, $exclude = '' ) {
	if ( $pagination && $pagination[ 'page_count' ] > 1 && ! in_array( "pagination", $exclude, true ) ) : ?>
		<div class="end">
			<ul class="pages">
				<?php
				$page = $pagination[ 'page_number' ];
				if ( $page > 1 ) { ?>
					<li class="left-arrow">
						<a href="<?php echo eb_escapeQueryVars( get_pagenum_link( $page - 1 ) );
						?>"><</a>
					</li>
				<?php } ?>
				<?php for ( $i = 1; $i <= $pagination[ 'page_count' ]; $i ++ ) { ?>
					<li<?php if ( $page === $i ) {
						echo " class='selected'";
					} ?>>
						<a href="<?php echo eb_escapeQueryVars( get_pagenum_link( $i ) );
						?>"><?php echo absint( $i ); ?></a>
					</li>
				<?php }
				if ( $page < $pagination[ 'page_count' ] ) { ?>
					<li class="right-arrow">
						<a href="<?php $nextPage = ( $page < 2 ) ? 2 : $page + 1;
						echo eb_escapeQueryVars( get_pagenum_link( $nextPage ) );
						?>">></a>
					</li>
				<?php } ?>
			</ul>
		</div>
		<div class="clearer"></div>
	<?php endif;
}

if ( ! function_exists( 'eb_escapeQueryVars' ) ) {
	function eb_escapeQueryVars( $url ) {
		$parsedUrl = wp_parse_url( $url );
		if ( ! $parsedUrl ) {
			return false;
		}
		$filteredUrl = $parsedUrl[ 'scheme' ] . '://' . $parsedUrl[ 'host' ] . esc_url( $parsedUrl[ 'path' ] );
		if ( isset( $parsedUrl[ 'query' ] ) && ! empty( $parsedUrl[ 'query' ] ) ) {
			$filteredUrl .= '?' . esc_attr( $parsedUrl[ 'query' ] );
		}

		return esc_url( $filteredUrl );

	}
}

if ( ! function_exists( 'eb_venueInfo' ) ) {
	function eb_venueInfo( $event ) {
		$venueInfo = '<address class="venue-info"><strong>'
		             . __( "Venue Information:", "eventbrite" ) . '</strong><br />'
		             . esc_html( $event->venue->name ) . '<br />'
		             . ( ( $event->venue->address->address_1 ) ? esc_html( $event->venue->address->address_1 ) . '<br />' : '' )
		             . ( isset( $event->venue->address->address_2 ) ? esc_html( $event->venue->address->address_2 ) . '<br />' : '' )
		             . ( ( $event->venue->address->city ) ? esc_html( $event->venue->address->city ) : '' )
		             . ( ( $event->venue->address->region ) ? ', ' . esc_html( $event->venue->address->region ) : '' )
		             . ( ( $event->venue->address->postal_code ) ? ', ' . esc_html( $event->venue->address->postal_code ) : '' )
		             . ( ( $event->venue->address->city || $event->venue->address->stateProvince || $event->venue->address->postalCode ) ? '<br />' : '' )
		             . '</address>';

		return $venueInfo;
	}
}
function eb_ageClassName( $age = '' ) {
	if ( empty( $age ) || ! isset( $age ) ) {
		return '';
	}
	// If it ends with "+" change class to "over-18"
	if ( substr( $age, - 1 ) === '+' ) {
		return sprintf( 'over-%d', str_replace( '+', '', strtolower( $age ) ) );
	}

	$className = str_replace( '_', '-', $age );

	return $className;

}

/**
 * Converts the age restriction coming from the API response into
 * human readable format.
 *
 * @param string $ageRestriction
 *
 * @return string $age
 */
function eb_ageRestriction( $ageRestriction ) {

	switch ( $ageRestriction ) {
		case '12+':
		case '13+':
		case '14+':
		case '15+':
		case '16+':
		case '17+':
		case '18+':
		case '19+':
		case '21+':
			$age = 'Ages ' . $ageRestriction;
			break;
		case 'under_14_with_guardian':
			$age = 'Under 14 With Guardian';
			break;
		case 'under_16_with_guardian':
			$age = 'Under 16 With Guardian';
			break;
		case 'under_18_with_guardian':
			$age = 'Under 18 With Guardian';
			break;
		case 'under_21_with_guardian':
			$age = 'Under 21 With Guardian';
			break;
		default:
			$age = 'All Ages';
	}

	return $age;
}


if ( ! function_exists( 'eb_json_ld_attraction' ) ) {
	function eb_json_ld_attraction( $attractionData = [], $domain = '' ) {
		if ( empty( $attractionData ) ) {
			return '';
		}
		$siteUrl = ( $domain ) ? $domain : get_site_url();

		// json-ld type
		$jsonLd            = [ "@context" => "http://schema.org" ];
		$jsonLd[ '@type' ] = "MusicGroup";
		// add event data
		$jsonLd[ 'name' ]   = esc_html( $attractionData->name );
		$jsonLd[ 'image' ]  = ( ! empty( $attractionData->logo->original->url ) ) ? esc_url( $attractionData->logo->original->url ) : 'https://cdn.ticketfly.com/wp-content/plugins/ticketfly-cms/images/no-image/no-image-jumbo.png';
		$jsonLd[ 'logo' ]   = esc_url( $jsonLd[ 'image' ] );
		$jsonLd[ 'sameAs' ] = ( $attractionData->urlOfficialWebsite ) ? esc_url( $attractionData->urlOfficialWebsite ) : '';
		$eventUrl           = eb_URL( 'attraction', rawurlencode( $attractionData->name ) );
		$jsonLd[ 'url' ]    = ( false !== strpos( $eventUrl,
				'://' ) ) ? esc_url( $eventUrl ) : esc_url( untrailingslashit( $siteUrl ) . $eventUrl );

		return $jsonLd;
	}
}

if ( ! function_exists( 'eb_json_ld' ) ) {
	function eb_json_ld( $eventData = [], $domain = '' ) {

		if ( empty( $eventData ) ) {
			return '';
		}
		date_default_timezone_set( $eventData->start->timezone );
		$siteUrl = ( $domain ) ? $domain : get_site_url();

		// json-ld type
		$jsonLd            = [ "@context" => "http://schema.org" ];
		$jsonLd[ '@type' ] = "Event";

		// add event data
		$jsonLd[ 'name' ]  = esc_html( $eventData->name->text );
		$jsonLd[ 'image' ] = isset( $eventData->logo ) ? esc_url( $eventData->logo->original->url ) : esc_url( eb_plugin_dir_URL() . '/images/no-image.png' );

		$eventUrl        = esc_url( eb_URL( 'event', $eventData->id, '', eb_getInitialUrlVars( $eventData ) ) );
		$eventUrl        = ( false !== strpos( $eventUrl,
				'://' ) ) ? esc_url( $eventUrl ) : esc_url( untrailingslashit( $siteUrl ) . $eventUrl );
		$jsonLd[ 'url' ] = esc_url( $eventUrl );
		if ( $eventData->hide_start_date ) {
			$jsonLd[ 'startDate' ] = esc_html(
				eb_getDateTime(
					$eventData->start->local,
					$eventData->start->local, $eventData->start->timezone
				)
			);
			$jsonLd[ 'doorTime' ]  = esc_html(
				eb_getDateTime( $eventData->start->local,
					eb_get_cleanTime(
						$eventData->music_properties->door_time, 'G:i' ),
					$eventData->start->timezone
				)
			);
			$jsonLd[ 'endDate' ]   = esc_html(
				eb_getDateTime( $eventData->end->local, $eventData->end->local, $eventData->end->timezone )
			);
		}

		$jsonLd[ 'description' ] = $eventData->description->text ? esc_html( $eventData->description->text ) : '';

		$jsonLd[ 'typicalAgeRange' ] = ( isset( $eventData->music_properties->age_restriction ) ) ? esc_html( $eventData->music_properties->age_restriction ) : '';

		// add venue/location info
		$place_json = [ "@type" => "Place" ];

		//Add venue attributes
		$place_json[ 'name' ]   = $eventData->venue ? esc_html( $eventData->venue->name ) : '';
		$place_json[ 'sameAs' ] = isset( $eventData->venue->website ) ? esc_html( $eventData->venue->website ) : '';

		// venue/location address
		$address_json = [ "@type" => "PostalAddress" ];

		// address attributes
		$address_json[ 'streetAddress' ]   = $eventData->venue ? esc_html( $eventData->venue->address->address_1 ) : '';
		$address_json[ 'streetAddress' ]   .= ( isset( $eventData->venue->address->address_2 ) && ! empty( $eventData->venue->address->address_2 ) ) ?
			esc_html( ( ( ! empty( $address_json[ 'streetAddress' ] ) ) ? ', ' : '' ) . $eventData->venue->address->address_2 ) : '';
		$address_json[ 'addressLocality' ] = ( $eventData->venue ) ? esc_html( $eventData->venue->address->city ) : '';
		$address_json[ 'addressRegion' ]   = ( $eventData->venue ) ? esc_html( $eventData->venue->address->region ) : '';
		$address_json[ 'postalCode' ]      = ( $eventData->venue ) ? esc_html( $eventData->venue->address->postal_code ) : '';

		// country code is empty (always?) that's why we identify canadian province codes and assume US otherwise...
		$address_json[ 'addressCountry' ] = ( $eventData->venue ) ? esc_html( $eventData->venue->address->country ) : '';

		// Merge address into place/venue
		$place_json[ 'address' ] = $address_json;

		// Merge place into main
		$jsonLd[ 'location' ] = $place_json;

		// add offer
		$offer_json = [ "@type" => "AggregateOffer", "name" => "Ticket", "category" => "primary" ];

		// offer attributes
		$offer_json[ 'lowPrice' ]      = isset( $eventData->ticket_availability->minimum_ticket_price->major_value ) ? esc_html( $eventData->ticket_availability->minimum_ticket_price->major_value ) : '';
		$offer_json[ 'highPrice' ]     = isset( $eventData->ticket_availability->maximum_ticket_price ) ? esc_html( $eventData->ticket_availability->maximum_ticket_price->major_value ) : '';
		$offer_json[ 'priceCurrency' ] = isset( $eventData->ticket_availability->maximum_ticket_price ) ? esc_html( $eventData->ticket_availability->maximum_ticket_price->currency ) : '';

		if ( isset( $eventData->has_available_tickets ) ) {
			$offer_json[ 'availability' ] = "InStock";
		} elseif ( isset( $eventData->is_sold_out ) ) {
			$offer_json[ 'availability' ] = "SoldOut";
		}

		$eventStatus = eb_ticketStatus( $eventData );
		switch ( $eventStatus ) {
			case 'SOLD_OUT':
				$offer_json[ 'availability' ] = "SoldOut";
				break;
			case 'CANCELLED':
				$offer_json[ 'availability' ] = "EventCancelled";
				break;
			case 'NOT_YET_ON_SALE':
			case 'FREE':
			default:
				$offer_json[ 'availability' ] = "InStock";
		}

		$offer_json[ 'url' ] = isset( $eventData->tickets_url ) ? $eventData->tickets_url : '';

		if ( isset( $eventData->ticket_availability->start_sales_date->local ) && $eventData->ticket_availability->start_sales_date->local ) {
			$offer_json[ 'validFrom' ] = date( 'c',
				strtotime( $eventData->ticket_availability->start_sales_date->local ) );
		}
		if ( isset( $eventData->offSaleDate ) && $eventData->offSaleDate ) {
			$offer_json[ 'validThrough' ] = date( 'c', strtotime( $eventData->offSaleDate ) );
		}

		// merge offer into main
		$jsonLd[ 'offers' ] = $offer_json;

		// add performer(s)
		$performers_json = [];

		if ( isset( $eventData->top_performances->performances ) ) {
			$performances = array_merge( eb_getPerformanceRoles( $eventData->top_performances->performances,
				'headliner' ), eb_getPerformanceRoles( $eventData->top_performances->performances, 'supporter' ) );
			foreach ( (array) $performances as $i => $performance ) {
				$performer_json = [ "@type" => "MusicGroup" ];
				// performer attributes
				$performer_json[ 'name' ] = $performance;
				$performers_json[]        = $performer_json;
			}
		}

		// merge performers into main
		$jsonLd[ 'performer' ] = $performers_json;

		return $jsonLd;
	}
}

if ( ! function_exists( 'eb_addJsonLd' ) ) {
	function eb_addJsonLd() {
		global $post;

		// json ld markup for listings and calendar pages
		if ( isset( $post->eb_jsonld ) ) {
			echo '<script type="application/ld+json">' . wp_json_encode( $post->eb_jsonld ) . '</script>';
		}
	}

	add_action( 'wp_footer', 'eb_addJsonLd' );
}

function eb_get_createEventPageTitle( $event, $title ) {
	if ( ! isset( $event->name->text ) ) {
		return $title;
	}

	return esc_html( sprintf( '%s%s%s%s%s',
		$event->name->text . " - Tickets - ",
		( $event->venue ) ? $event->venue->name : '',
		( $event->venue ) ? " - " . $event->venue->address->city : '',
		( $event->venue ) ? ", " . $event->venue->address->region : '',
		( $event->start && ! $event->hide_start_date ) ? " - " . date( "F jS, Y",
				strtotime( $event->start->local ) ) : ''
	) );
}

if ( ! function_exists( 'eb_getFbURL_escaped' ) ) {
	function eb_getFbURL_escaped( $url = '' ) {
		if ( '' === $url ) {
			return false;
		}

		$urlFB = $url . '?utm_source=fb1&amp;utm_medium=shr';

		return esc_url( $urlFB );
	}
}

if ( ! function_exists( 'eb_getTweetURL' ) ) {
	function eb_getTweetURL( $url = '', $event = false ) {
		if ( '' === $url || false === $event ) {
			return false;
		}
		$urlTwitter       = esc_url( $url . '?utm_source=tw1&amp;utm_medium=shr' );
		$twitterHeadliner = $event->name->text;

		$twitterVenue = isset( $event->venue ) ? $event->venue->name : null;

		$date = ( ! $event->hide_start_date )
			? ''
			: ' - ' . date( "n/j/y", strtotime( $event->start->local ) );
		//TODO: the tweet is weird now if there isn't a venue name.
		$tweet_desc = 'https://twitter.com/intent/tweet?text=' . rawurlencode( sprintf( __( "Check it out! %s at %s on %s: %s",
				"eventbrite" ), $twitterHeadliner, $twitterVenue, $date, $urlTwitter ) );

		return esc_url( $tweet_desc );
	}
}

function eb_shareEventMarkup( $event = false, $exclude = [] ) {
	if ( false === $event ) {
		return '';
	}

	$url        = eb_URL( 'event', $event->id );
	$urlFB      = eb_getFbURL_escaped( $url );
	$modalFB    = "'$urlFB'";
	$tweet_desc = eb_getTweetURL( $url, $event );

	$FBTwitterShare = sprintf(
		'%s%s',
		( ! in_array( "share-facebook", $exclude, true ) ) ? '<section class="share-facebook">
                <a aria-label="Share this event on FaceBook" href="https://www.facebook.com/share.php?u=' . rawurlencode( $urlFB ) . '" onclick="return eb_fbs_click(' . esc_js( $modalFB ) . ');" target="_blank" rel="noopener" class="facebook">Facebook</a></section>' : '',
		( ! in_array( "share-twitter", $exclude,
				true ) && $tweet_desc ) ? '<section class="share-twitter"><a href="' . $tweet_desc . '" class="twitter" target="_blank" rel="noopener">Twitter</a></section>' : ''
	);
	$title_date     = '';
	$details_date   = '';
	if ( ! $event->hide_start_date ) {
		$title_date   = ' - ' . date( "F jS, Y", strtotime( $event->start->local ) );
		$details_date = date( 'l, F j, Y', strtotime( $event->start->local ) );
	}

	return sprintf(
		__( '<section id="share-modal" class="share-events share-plus eb-modal"><h2 class="headline">Share with Friends</h2>%s</section>' ),
		$FBTwitterShare
	);

}

function eb_calSyncMarkup( $type, $event = false ) {
	$gCalUrl   = eb_gCalLink( $type, $event );
	$ebEventId = ( $event->id ) ? $event->id : '';
	$url       = ( $type === 'event' ) ? eb_URL( $type, $ebEventId ) : trailingslashit( get_bloginfo( 'url' ) );
	$iCalUrl   = esc_url( $url );

	$markup = <<<MARKUP
				<section id="calendar-modal" class="cal-sync eb-modal">
					<h2 class="headline">Add to Calendar</h2>
					<section class="ical-sync">
						<a aria-label="Add this event to your Mac Calendar" href="{$iCalUrl}feed/ical/" class="eb-addtocal"><span class="button-text">iCal</span></a>
					</section>
                    <section class="gcal-sync">
                        <a aria-label="Add this event to your Google Calendar" href="{$gCalUrl}" target="_blank" rel="noopener" class="eb-addtocal"><span class="button-text">Google</span></a>
					</section>
				</section>
MARKUP;

	return wp_kses_post( $markup );
}

if ( ! function_exists( 'eb_gCalLink' ) ) {
	function eb_gCalLink( $type, $event ) {
		if ( $type === 'event' ) {

			$gCalLink = 'https://www.google.com/calendar/event?action=TEMPLATE&text='
			            . rawurlencode( $event->name->text )
			            . '&dates=' . gmdate( "Ymd", strtotime( $event->start->local ) ) . 'T' . gmdate( "His",
					strtotime( $event->start->local ) ) . 'Z'
			            . '/'
			            . ( ( $event->end->local ) ? gmdate( "Ymd",
						strtotime( $event->end->local ) ) . "T" . gmdate( "His",
						strtotime( $event->end->local ) ) . "Z" :
					gmdate( "Ymd", strtotime( $event->start->start ) + 60 * 60 * 3 ) . "T" . gmdate( "His",
						strtotime( $event->start->local ) + 60 * 60 ) . "Z" )
			            . '&details=' . rawurlencode( $event->name->text )
			            . '&location=' . ( ( $event->venue ) ? rawurlencode( $event->venue->name ) : '' )
			            . ( ( $event->venue ) ? rawurlencode( ', ' . $event->venue->address->address_1 ) : '' )
			            . ( isset( $event->venue ) ? rawurlencode( ', ' . $event->venue->address->address_2 ) : '' )
			            . ( ( $event->venue ) ? rawurlencode( ', ' . $event->venue->address->city ) : '' )
			            . ( ( $event->venue ) ? rawurlencode( ', ' . $event->venue->address->region ) : '' )
			            . ( ( $event->venue ) ? rawurlencode( ', ' . $event->venue->address->postal_code ) : '' )
			            . '&trp=false&sprop=' . rawurlencode( home_url() )
			            . '&sprop=name:' . rawurlencode( get_bloginfo( 'name' ) );
		} else {
			$gCalLink = 'https://www.google.com/calendar/render?cid='
			            . rawurlencode( eb_URL( 'ical', '', '' ) );

		}

		return esc_url( $gCalLink );
	}
}

if ( ! function_exists( 'truncateStringNearestWord' ) ) {
	function truncateStringNearestWord( $input, $length = 60 ) {
		//only truncate if input is actually longer than $length
		if ( strlen( $input ) > $length ) {
			//check if there are any spaces at all and if the last one is within the given length if so truncate at space else truncate at length.
			if ( strrchr( $input, " " ) && strrchr( $input, " " ) < $length ) {
				return substr( $input, 0, strrpos( substr( $input, 0, $length ), ' ' ) );
			} else {
				return substr( $input, 0, $length );
			}
		} else {
			return $input;
		}
	}
}


/**
 * Add a few extra tags for allowed html tags in wp_kses
 *
 * @param $tags
 * @param $context
 *
 * @filter wp_kses_allowed_html
 *
 * @return mixed
 */
function event_detail_kses_allowed_html( $tags, $context ) {
	if ( 'post' !== $context ) {
		return $tags;
	}

	$tags[ 'script' ]                  = array_fill_keys( [ 'src', 'type' ], true );
	$tags[ 'noscript' ]                = [];
	$tags[ 'button' ][ 'href' ]        = true;
	$tags[ 'button' ][ 'data-target' ] = true;
	$tags[ 'a' ][ 'onclick' ]          = true;
	$tags[ 'time' ]                    = array_fill_keys( [ 'class' ], true );
	$tags[ 'iframe' ]                  = [
		'src' => true,
	];


	return $tags;
}


/**
 * Generate the message displayed by some shortcodes when there are no
 * available events or during API outages. If the sites have config a backup
 * site link for this situation, the message include the link
 */

if ( ! function_exists( 'eb_generate_no_events_status_message' ) ) {
	function eb_generate_no_events_status_message() {
		global $eventbrite_music;
		$settings = $eventbrite_music->get_options();

		$backup_site_url = ( isset( $settings[ 'backup_site_url' ] ) && ( ! empty( $settings[ 'backup_site_url' ] ) ) )
			? $settings[ 'backup_site_url' ] : '';
		if ( '' != $backup_site_url && filter_var( $backup_site_url, FILTER_VALIDATE_URL ) ) {
			printf( esc_html__( "We are having problems with Eventbrite's crappy plugin. Please check again soon.",
					'eventbrite' ) . ' <a href="' . esc_url( $backup_site_url ) . '" target="_blank">' . esc_html__( 'Visit this page for more info.',
					'eventbrite' ) . '</a> ' );
		} else {
			printf( esc_html__( 'Eventbrite is garbage, sorry. Please check again soon.',
				'eventbrite' ) );
		}
	}
}
 
