<?php
date_default_timezone_set( $event->start->timezone );

$edpUrl              = eb_URL( 'eb_event_details', $event->id, '', $urlVars );
$cssClasses          = 'event-status-' . strtolower( $event->status ) . ' ' . eb_addClassIds( $event );
$imagePath           = ( $event->logo != null ) ? eb_imageUrlBuild( $event->logo->original->url ) : '';
$headliner_image_url = ( ! in_array( "master-image", $exclude ) && ! in_array( "headliner-image", $exclude ) )
	? eb_imageTag( $imagePath, '', '', $event->name->text, '', $imagesize, '', $event )
	: '';

$venue_name_markup     = ( ( $event->venue ) && ! in_array(
	"venue",
	$exclude,
	true 
) ) ? '<span class="venue tertiary-text">' . esc_html( $event->venue->name ) . '</span>' : '';

$venueCityState_markup = ( ! in_array( "city-state", $exclude, true )  && $event->venue) ?
	'<span class="city-state tertiary-text"><span class="city">' . esc_html( $event->venue->address->city ) . '</span><span class="divider">,&nbsp;</span><span class="region">' . esc_html( $event->venue->address->region ) . '</span></span>' : '';
$maxPrice              = $event->ticket_availability->maximum_ticket_price ? $event->ticket_availability->maximum_ticket_price->major_value : null;
$minPrice              = $event->ticket_availability->minimum_ticket_price ? $event->ticket_availability->minimum_ticket_price->major_value : null;
$currencySymbol        = $event->ticket_availability->maximum_ticket_price
	? $event->ticket_availability->maximum_ticket_price->currency
	: ( $event->ticket_availability->minimum_ticket_price )
		? $event->ticket_availability->minimum_ticket_price->currency
		: null;
$className             = ( $templateClass ) ? $templateClass . '-image' : '';
$startDate_markup      = eb_get_eventDates( $event, $exclude, $dateformat, 'dates' );
$eventTime             = eb_get_eventTimes( $event, $include, $exclude );
if ( $event->hide_start_date ) {
	$eventTime_markup = '<section class="times no-times"> </section>';
} else {
	$eventTime_markup = ( ! in_array(
		"times",
		$exclude,
		true 
	) ) ? '<section class="times">' . $eventTime . '</section>' : $eventTime;
}
$moreInfo_markup         = '<span class="more-info"><a href="' . esc_url( $edpUrl ) . '">More Info</a></span>';
$location_markup         = ( ( $settings[ 'enable_venue_name' ] ) && ( $venue_name_markup || $venueCityState_markup ) ) ? '<address class="location">' . $venue_name_markup . $venueCityState_markup . '</address>' : '';
$buyLink                 = ( ! in_array( "ticket-link-status", $exclude, true ) ) ? eb_buyTicketLink(
	$settings,
	$event,
	$dateformat 
) : '';
$carouselHaystack        = [ 'SALES_ENDED', 'SOLD_OUT' ];
$carouselBuy             = ( ! in_array( eb_ticketStatus( $event ), $carouselHaystack, true ) ) ? $buyLink : false;
$noLinkClass             = ( false !== strpos( $buyLink, 'href="' ) ) ? '' : ' no-link';
$extLinkClass            = $event->is_externally_ticketed ? ' external-ticket' : '';
$carouselBuy_markup      = ( ! in_array(
	"ticket-link-status",
	$exclude,
	true 
) && $carouselBuy !== false ) ? '<section class="ticket-price' . $noLinkClass . $extLinkClass . '">' . $carouselBuy . '</section>' : '';
$price                   = eb_get_cleanTicketPrice( $maxPrice, $minPrice, $currencySymbol, $event->is_free );
$ticketPrice_markup      = ( ! in_array( "ticket-price", $exclude, true ) && $price && ! in_array(
	"price-range",
	$exclude,
	true 
) && ( $event->is_free === false ) ) ?
	'<span class="price-range">' . $price . '</span>' : '';
$ageLimit_markup         = ( ! in_array(
	"age-restriction",
	$exclude,
	true 
) && $event->music_properties->age_restriction !== null && $event->music_properties->age_restriction ) ?
	'<section class="age-restriction ' . eb_ageClassName( $event->music_properties->age_restriction ) . '">' . eb_ageRestriction( $event->music_properties->age_restriction ) . '</section>' : '';
$presentedBy             = ( $event->music_properties->presented_by !== null ) ? $event->music_properties->presented_by : '';
$presentedByGroup_markup = ( ! in_array( "topline-info", $exclude, true ) && ! in_array(
	"presented-by",
	$exclude,
	true 
) && ! empty( $presentedBy ) ) ? '<section class="topline-info presented-by">' . esc_html( $presentedBy ) . '</section>' : '';
$eventSummary            = ( isset( $event->summary ) && ! empty( $event->summary ) ) ? $event->summary : '';
$eventSummary_markup     = ( ( $eventSummary !== '' ) && in_array(
	'event-summary',
	$include,
	true 
) ) ? '<article class="event-summary secondary-text">' . esc_html( $eventSummary ) . '</article>' : '';
