<?php
//TODO: Needs EB review for usage/deprecation.
/**
 * Return simple event detail page stub w/o theme template to use in e.g. jQuery requests.
 * User: marco
 * Date: 3/2/12
 */

	global $eventbrite_music, $wp;

	$dateformat = '%a, %B %e, %Y'; //'D, F j, Y'

	$fbRsvpEnabled = false; //function_exists('tfly_fbajax_submit'); // todo: disable FB RSVP for now on calendar pages

	$settings = $eventbrite_music->get_options();
	$linktarget = $eventbrite_music->enablePurchaseLinks();

	$params = [];

	// test if we get org and venue ids via query vars
	$exclude = [];
	$orgId = filter_input(INPUT_GET, 'orgId', FILTER_SANITIZE_SPECIAL_CHARS);
	$venueId = filter_input(INPUT_GET, 'venueId', FILTER_SANITIZE_SPECIAL_CHARS);
	$exclVenue = filter_input(INPUT_GET, 'exclVenue', FILTER_SANITIZE_SPECIAL_CHARS);

	$org = ($orgId)? $orgId : '';
	$venue = ($venueId)? $venueId : '';

	// set org id
if ( $settings['org_id'] ) {
	// if we get org id(s) via URL query vars value than we check against org id settings
	if ( $org ) {
			$org = implode( ',', array_intersect( explode(',', $settings['org_id']), explode(',', $org) ) );
		if ( !$org ) {
			$params[ 'orgId' ] = $org = $settings['org_id'];
		}
			$params[ 'orgId' ] = $org;

		// if we do not get org id(s) via query vars -> use org id setting
	} else {
		$params[ 'orgId' ] = $org = $settings['org_id'];
	}
}

if ( isset($wp->query_vars["pagename"]) && ('event' == $wp->query_vars["pagename"]) && isset($wp->query_vars["eb_id"]) ) {
	$params['eventId'] = $wp->query_vars["eb_id"];
	$events = ticketfly_api::request( 'event', $params );
	if ( isset($events->events[0]->name) ) {
		$calName = $events->events[0]->name;
	} else {
		$calName = $events->title;
	}

}

if ( isset( $events->events[0]->id ) ) {
	foreach ( $events->events as $event ) { ?>
<div class="richcal-event-detail<?php if ( isset($event) ) {
	echo ' '.eb_addClassIds($event); 
								} ?>" style="padding:6px;">
		<?php
		$details = $event;
		date_default_timezone_set($details->venue->timeZone);
		$urlVars = [];
		$urlVars = eb_getInitialUrlVars($details);

		echo eb_imageTag( $details->image->small1->path, $details->image->small1->width, $details->image->small1->height, $details->name, eb_URL( 'event', $event->id, '', $urlVars ), "small1", '', $event);

		?>
<div class="richcal-event-info">
		<?php if (eb_is_valid_field($details->eventStatusMessage && !in_array( "event-status-message", $exclude ) )) { ?>
			<?php   if ( (string)$details->eventStatusMessage && ( ( $details->eventStatusCode == "CANCELLED" ) ||( $details->eventStatusCode == "RESCHEDULED" ) || ( $details->eventStatusCode == "POSTPONED" )  || ($details->eventStatusCode == "OFF_SALE") ) ) { ?>
  <div class="richcal-event-status-message"><?php
	if ( $details->eventStatusCode == "RESCHEDULED" ) {
		_e( "Event Rescheduled", "ticketfly" );
	} elseif ( $details->eventStatusCode  == "POSTPONED" ) {
		_e( "Event Postponed", "ticketfly" );
	} elseif ( $details->eventStatusCode  == "CANCELLED" ) {
// in ticketfly.com this read postponed!!
		_e( "Event Cancelled", "ticketfly" );
	} elseif ( $details->eventStatusCode == "OFF_SALE" ) {
		_e( "Event Off Sale", "ticketfly");
	}
	if ( $details->eventStatusMessage ) {
		echo ': ';
		_e( $details->eventStatusMessage, "ticketfly" ); 
	}
	?></div>
			<?php   }
		}

		if ( eb_addClassIds( $details->promoterName ) && !in_array( "topline-info", $exclude ) ) { ?>
  <div class="richcal-topline-info"><?php echo $details->promoterName; ?>:</div>
		<?php }

		if ( ! in_array( "headliners", $exclude, true ) ) {
			$headliners = [];
			foreach ( $details->headliners as $h ) {
				$headliners[] = $h->name;
			}
			if ( $details->name === implode( ', ', $headliners ) ) {
				foreach ( $headliners as $h ) {
					echo '<div class="richcal-headliners">' . '<a href="' . esc_url( eb_URL( 'event', $event->id, '', $urlVars ) ) . '">' . esc_html( $h ) . '</a>' . '</div>';
				}
			} else {
				echo '<div class="richcal-headliners">' . '<a href="' . esc_url( eb_URL( 'event', $event->id, '', $urlVars ) ) . '">' . esc_html( $details->name ) . '</a>' . '</div>';
			}
		} // end exclude headliners

		if ( isset($details->supports[0]) ) {
			if ( !in_array( "supports", $exclude) ) {
				?>      <div class="richcal-supports"><?php echo '<a href="'. esc_url(  eb_URL( 'event', $event->id, '', $urlVars ) ).'">' . esc_html( fly_get_comma_sep_supports( $details ) ) . '</a>'; ?></div>
			<?php }
		}

		if ($details->startDate && !in_array( "dates", $exclude ) ) {
			echo '<div class="richcal-dates">'.tfly_eventDate( $dateformat, strtotime( $details->startDate ) ).'</div>'; 
		}

		if ( !in_array( "times", $exclude ) ) {
			?><div class="richcal-times"><?php   //if we have a doors time defined show door/show time.  otherwise just show show time
if (eb_addClassIds( $details->doorsDate ) && !in_array( "doorsdate", $exclude ) && !in_array( "doors", $exclude ) ) {
	echo '<span class="doors">Doors: ' . date( "g:i A", strtotime( $details->doorsDate ) ) . '</span>';
}

if ( (eb_addClassIds( $details->doorsDate ) && eb_addClassIds( $details->startDate ) && ($details->startDate !== $details->doorsDate) )
		|| ( !eb_addClassIds( $details->doorsDate ) && eb_addClassIds( $details->startDate ) && !in_array( "starttime", $exclude ))
	) {
	if (eb_addClassIds( $details->doorsDate ) && !( in_array( "doorsdate", $exclude ) || in_array( "starttime", $exclude ) || in_array( "doors", $exclude ) ) ) {
				echo ' / ';
	}
	if (eb_addClassIds( $details->startDate ) && !in_array( "starttime", $exclude ) ) {
		echo '<span class="start dtstart"><span class="value-title" title="' . date('c', strtotime( $details->startDate )) . '"></span>';
		if (eb_addClassIds( $details->doorsDate ) && !in_array( "doorsdate", $exclude ) && !in_array( "doors", $exclude ) ) {
			echo 'Show: ';
		}
		echo date( "g:i A", strtotime( $details->startDate ) ) . '</span> ';
	}
}

if (eb_addClassIds( $details->endDate ) && !in_array( "enddate", $exclude ) ) {
	echo ' <span class="end dtend" title="' . date('c', strtotime( $details->endDate )) . '">(event ends ';
	if ( ( strtotime( date( "Y-m-d", strtotime( $details->startDate.' + 1day' ) ).'+ 4hours' ) < strtotime( $details->endDate ) ) ) {
		echo tfly_eventDate( $dateformat." ", strtotime( $details->endDate ));
	}
	echo date( "\\a\\t g:i A", strtotime( $details->endDate )).')</span>';
} ?></div>
		<?php } // end times exclude
//echo sprintf( __( "Doors: %s / Show %s (event ends at %s)", "ticketfly" ), date( "g:i A", strtotime( $details->doorsDate ) ), date( "g:i A", strtotime( $details->startDate ) ), date( "g:i A", strtotime( $details->endDate ) ) ); ?>
		<?php if ( !in_array( "venue", $exclude ) ) { ?>
  <div class="richcal-venue location"><?php
	echo $details->venue->name;
	?></div>
		<?php } else {
			if ( isset($details->venue->name) && $details->venue->name ) {
				echo '<abbr class="location" style="display:none;">'.$details->venue->name.'</abbr>';
			}
		}?>
		<?php        if ( isset( $details->venue->city ) && strlen( $details->venue->city ) && !in_array( "city-state", $exclude ) ) {
			echo '<div class="richcal-city-state">'.$details->venue->city;

			if ( isset( $details->venue->stateProvince ) && strlen( $details->venue->stateProvince ) ) {
				echo ', ' . $details->venue->stateProvince;
			} ?></div>
		<?php   }

		if ( isset( $details->ageLimit ) && !( $details->ageLimit == '') && !in_array( "age-restriction", $exclude ) ) : ?>
		  <div class="richcal-age-restriction<?php echo eb_ageClassName($details); ?>"><?php echo sprintf( __( "This event is %s", "ticketfly" ), strtolower($details->ageLimit) ); ?></div>
		<?php   endif; ?>

		<?php	if (!in_array( "ticket-price", $exclude )) { ?>
  <div class="richcal-ticket-price">
			<?php	if (!in_array( "price-range", $exclude ) && ($details->ticketPrice) ) { ?>
				<?php echo sprintf( __( "<div class=\"richcal-price-range\">%s</div>", "ticketfly" ), $details->ticketPrice ); ?>
			<?php	} ?>
			<?php
			if ( !in_array( "ticket-link-status", $exclude ) ) {
				$buyState = false;

				switch ($details->eventStatusCode) {
					case 'SOLD_OUT': 
						?>
	  <div class="richcal-event-status richcal-sold-out">Sold Out</div>
						 <?php 
						break;
					case 'TIX_AT_DOOR': 
						?>
	  <div class="richcal-event-status richcal-tickets-at-the-door">Tickets Available at the Door</div>
						<?php 
						break;
					case 'RESCHEDULED': 
						?>
	  <div class="richcal-event-status richcal-rescheduled">Rescheduled</div>
						<?php 
						break;
					case 'POSTPONED': 
						?>
	  <div class="richcal-event-status richcal-postponed">Postponed</div>
						<?php 
						break;
					case 'CANCELLED': 
						?>
	  <div class="richcal-event-status richcal-cancelled">Cancelled</div>
						<?php 
						break;
					case 'FREE': 
						?>
	  <div class="richcal-event-status richcal-free">Free</div>
						<?php 
						break;
					case 'OFF_SALE': 
						?>
<div class="richcal-event-status richcal-off-sale">Off Sale</div>
						<?php	
						break;
					case 'CUSTOM':
						if ( isset($details->eventStatusMessage) && $details->eventStatusMessage ) {
							echo '<div class="richcal-event-status richcal-custom">'.$details->eventStatusMessage.'</div>';
							$buyState = true;
						}
						break;
					default:
								//default case is to assume that tickets is BUY state
								$buyState = true;
								//do some time checking to make sure that tickets are on sale soon or actually available for puchase
								$onsaleTimestamp = strtotime( $details->onSaleDate . " - 15 seconds"); //this the timestamp of the onsale date/time
								// this is the timestamp of the server adjusted for
								$nowTimestamp = strtotime('now');
								// make the comparison between the timestamps
						if ($nowTimestamp <= $onsaleTimestamp && !in_array( "ticket-link", $exclude ) ) {
		  //tickets not on sale yet
							?>
<div class="richcal-event-status richcal-future-sale"><?php
date_default_timezone_set($details->venue->timeZone);
$purchaseLinkTxt = 'On Sale '.date( "D n/d/Y g:i a T", strtotime( $details->onSaleDate ));
echo $purchaseLinkTxt;
?></div>
						<?php       }
				} // endswitch
			}
			?></div>
		<?php   }
		?>
	  </div>
		<?php
		if ( isset($details->headliners[0]->eventDescription) && strlen( (string)$details->headliners[0]->eventDescription ) ) {
			$readMoreLink = '... <a href="'.eb_URL( 'event', $details->id, '', $urlVars).'">read more</a>';
			echo '<div class="richcal-artist-box-headliner"><div class="richcal-bio">'.truncTxt(nl2br($details->headliners[0]->eventDescription), 300, $readMoreLink  ).'</div></div>';
		}

		if ( $buyState && !in_array( "ticket-link", $exclude ) ) {
			if ( ($purchaseLink = eb_purchaseLink( $details, _( "Tickets" ), $linktarget)) && !in_array( "ticket-link", $exclude ) ) :
				//tickets now on sale
				if ( $purchaseLink ) {
					echo '<div class="richcal-ticket-link richcal-primary-link">'.$purchaseLink.'</div>';
				}
			endif;
		}


		echo '<div class="richcal-more"><a href="'.eb_URL( 'event', $details->id, '', $urlVars ).'">' . More . '</a></div>';
		if ( (true === $fbRsvpEnabled) && $details->facebookEventIdString ) {
			echo '<div class="richcal-fb-rsvp"><a href="#" onclick="javascript:tfly_show_FBrsvp('.$details->id.', '.$details->facebookEventIdString.', false, 7);return false;">' . RSVP . '</a></div>';
		}

		if ( true || ('on' === $calsync) || ('yes' === $calsync) ) {
			$url = eb_URL( 'event', $event->id, '', $urlVars );
			?>
  <div class="richcal-calendar-sync">
  <div class="richcal-ical-sync"><a href="<?php echo trailingslashit($url).'feed/ical/'; ?>" class="richcal-tf-tooltip"><span>Sync event to iCal</span></a></div>
			<?php if (function_exists('eb_gCalLink')) { ?>
  <div class="richcal-gcal-sync"><a href="<?php echo eb_gCalLink($details); ?>" target="_blank" rel="noopener" class="richcal-tf-tooltip"><span>Sync event to Google Calendar</span></a></div>
			<?php } ?>
  </div>
		<?php } // end cal sync ?>
</div>

		<?php  if ( (true === $fbRsvpEnabled) && $details->facebookEventIdString ) { ?>
<div id="richcal-dialog-modal-<?php echo $details->id; ?>" title="Calendar Modal" style="display:none;">
</div>
			<?php //tfly_displayRSVPs($details->facebookEventIdString, '#richcal-dialog-modal-'.$details->id, 'false', 7 );
		} ?>

</div><?php

	}
} else { // endif $eb_id
	echo '<div class"richcal-error-message">Sorry, something went wrong. We could not find the event.</div>';
}
?>
</div>
