<?php if ( !empty($performers->get_data()) ) { ?>
	<article class="artist-boxes">
		<?php foreach ( $performers->get_data() as $key => $artist ) { ?>
			<div class="<?php echo esc_attr( $performers->get_container_class( $artist[ 'artist_type' ] ) ); ?>">
				<div class="artist-headline">
					<span class="artist-name"><?php echo esc_html( $artist[ 'title' ] ); ?></span>
				</div>
				<?php if ( ! empty( $artist[ 'links' ] ) ) { ?>
					<div id="eb-more-<?php echo absint( $key ); ?>"
						 class="eb-more <?php echo esc_attr( $performers->get_icon_wrapper_classes() ); ?>">
						<?php if ( $performers->display_inline_links() ) { ?>
						<div class="inline-links-wrap">
						<?php } ?>
							<ul class="tfly-more eb-more <?php echo esc_attr( $performers->get_icon_list_classes() ); ?>">
								<?php foreach ( $artist[ 'links' ] as $link ) {
									echo sprintf(
										'<li class="%s artist-icon"><a href="%s" rel="nofollow" target="_blank" title="%s">%s</a></li>',
										esc_attr( $performers->social_link_class_map( $link->link_type ) ),
										esc_url( $link->url ),
										esc_html( $performers->social_link_title_map( $link->link_type ) ),
										esc_html( $performers->social_link_title_map( $link->link_type ) )
									);
								} ?>
							</ul>
							<?php if ( $performers->display_inline_links() ) { ?>
						</div>
							<?php } ?>
					</div>

					<?php if ( $performers->display_links_in_dialog() ) { ?>
						<ul class="links">
							<li>
								<a href="#eb-more-<?php echo absint( $key ); ?>"
								   rel="nofollow"
								   class="more"
								   onclick="return eb_show_dialog(this, 'eb-more-<?php echo absint( $key ); ?>', 'Web');">
									<?php echo esc_html__( 'Links', 'eventbrite' ); ?>
								</a>
							</li>
						</ul>
					<?php } ?>
				<?php } ?>
				<?php if ( ! empty( $artist[ 'image' ] ) ) {
					echo $artist[ 'image' ]; ?>
				<?php } ?>
				<div class="bio">
					<?php echo nl2br( $artist[ 'bio' ] ); ?>
				</div>
			</div>
		<?php } ?>
	</article>
	<script type="text/javascript">
		jQuery(function ($) {
			eb_artist_bio_links();
		});
	</script>
<?php }