<?php

global $post;

$events =  $ebApiData->get_events(true);

extract( wp_parse_args( $atts, [
	'timezone'   => '',
	'dateformat' => 'D n/d',
	'title'      => '',
	'venue'      => '',
	'errorMsg'   => '',
] ) );
?>

<section class="sidebar-list upcoming">
	<?php if ( $title && ! empty( $title ) ) { ?>
		<h2><?php echo esc_html( $title ); ?></h2>
	<?php } ?>

	<ul>
		<?php if ( count( $events ) > 0 ) {

			foreach ( $events as $count => $event ) {
				$performers         = new Performers();
				$performancesMarkup = $performers->get_event_headline( $event );
				$urlVars = [];
				$urlVars = eb_getInitialUrlVars( $event );
				?>
				<li class="<?php echo esc_attr( eb_addClassIds( $event ) ); ?>">
					<a href="<?php echo esc_url( eb_URL( 'event', $event->id, '', $urlVars ) ); ?>">
						<?php if ( ! $event->hide_start_date ) { ?>
							<span class="date">
								<?php echo esc_html( eb_eventDate( $dateformat, strtotime( $event->start->local ) ) ); ?>
							</span>
						<?php } ?><?php echo esc_html($performancesMarkup); ?>
					</a>
				</li>
				<?php $urlVars = null;
			}

		} else {
			echo '<li class="no-events">';
			if ( $errorMsg && !empty($errorMsg) ) {
				echo esc_html( $errorMsg );
			} else {
				eb_generate_no_events_status_message();
			}
			echo '</li>';
		}
		?>
	</ul>
</section>
