<?php

date_default_timezone_set( $event->start->timezone );
if ( ! isset( $count ) ) {
	$count = 2;
}
if ( ! isset( $include ) ) {
	$include = [];
}
$imagesize = isset($imagesize) ? $imagesize : 'medium';
$edpUrl              = eb_URL( 'eb_event_details', $event->id, '', $urlVars );
$cssClasses          = 'event-status-' . strtolower( $event->status ) . ( ( ( $count % 2 ) === 1 ) ? ' alt' : '' ) . ' ' . eb_addClassIds( $event );
$eventId             = $event->id;
$imagePath           = ( $event->logo !== null ) ? eb_imageUrlBuild( $event->logo->original->url ) : '';
$className           = isset( $templateClass ) ? $templateClass . '-image' : '';
$headliner_image_url = ( ! in_array( "master-image", $exclude, true ) &&
						 ! in_array( "headliner-image", $exclude, true ) )
	? eb_imageTag( $imagePath, '', '', $event->name->text, '', $imagesize, $className )
	: '';
$startDate_markup    = eb_get_eventDates( $event, $exclude, $dateformat, 'dates' );
$eventTime           = eb_get_eventTimes( $event, $include, $exclude );
$eventTime_markup    = ( ! in_array( "times", $exclude, true ) && $eventTime )
	? '<span class="times">' . $eventTime . '</span>'
	: esc_html( $eventTime );
$moreInfo_markup     = '<span class="more-info"><a href="' . esc_url( $edpUrl ) . '"> ' . __(
	'More Info',
	'eventbrite' 
) . '</a></span>';

$venue_name_markup = ( eb_checkVenueEnabled() && ! in_array(
	"venue",
	$exclude,
	true 
) && isset( $event->venue->name ) && $event->venue->name )
	? '<span class="venue location tertiary-text">' . esc_html( $event->venue->name ) . '</span>'
	: '';

$venueCityState_markup = eb_checkVenueEnabled() && ( ! in_array( "city-state", $exclude, true ) )
	? '<span class="city-state tertiary-text"><span class="city">' . esc_html( $event->venue->address->city ) . '</span><span class="divider">,&nbsp;</span><span class="region">' . esc_html( $event->venue->address->region ) . '</span></span>'
	: '';
$location_markup       = ( eb_checkVenueEnabled() && ( $venue_name_markup || $venueCityState_markup ) )
	? '<address class="location">' . $venue_name_markup . $venueCityState_markup . '</address>'
	: '';

$maxPrice       = $event->ticket_availability->maximum_ticket_price ? esc_html( $event->ticket_availability->maximum_ticket_price->major_value ) : '';
$minPrice       = $event->ticket_availability->minimum_ticket_price ? esc_html( $event->ticket_availability->minimum_ticket_price->major_value ) : '';
$currencySymbol = $event->ticket_availability->maximum_ticket_price ? esc_html( $event->ticket_availability->maximum_ticket_price->currency ) : '';

$buyLink      = ( ! in_array( "ticket-link-status", $exclude, true ) )
	? eb_buyTicketLink( $settings, $event, $dateformat )
	: '';
$noLinkClass  = ( false !== strpos( $buyLink, 'href="' ) ) ? '' : ' no-link';
$extLinkClass = $event->is_externally_ticketed ? ' external-ticket' : '';

$price = eb_get_cleanTicketPrice( $maxPrice, $minPrice, $currencySymbol, $event->is_free );

$ticketPrice_markup = ( ! in_array( "ticket-price", $exclude, true ) &&
						$price &&
						! in_array( "price-range", $exclude, true ) &&
						( $event->is_free === false ) )
	? '<section class="price-range">' . esc_html( $price ) . '</section>'
	: '';

$ageLimit_markup = ( ! in_array( "age-restriction", $exclude, true ) &&
					 $event->music_properties->age_restriction !== null &&
					 $event->music_properties->age_restriction )
	? '<span class="age-restriction">' . esc_html( eb_ageRestriction( $event->music_properties->age_restriction ) ) . '</span>'
	: '';

$presentedBy             = ( $event->music_properties->presented_by !== null )
	? esc_html( $event->music_properties->presented_by )
	: '';
$presentedByGroup_markup = ( ! in_array( "topline-info", $exclude, true ) &&
							 ! in_array( "presented-by", $exclude, true ) &&
							 $presentedBy )
	? '<section class="topline-info secondary-text">' . $presentedBy . '</section>'
	: '';
