jQuery.noConflict();

jQuery(document).ready(function ($) {

  $(".list-view .loadMore, .hero-listview .loadMore").click(function () {

    var loadMoreSelector = $(this);
    if (loadMoreSelector.attr("data-index") > 0) {
      var elemIndex = loadMoreSelector.attr("data-index");
    } else {
      var elemIndex = loadMoreSelector.parent().index();
      loadMoreSelector.attr('data-index', elemIndex);
    }
    var pageNumber = ( loadMoreSelector.attr("data-page") > 0 ) ? loadMoreSelector.attr("data-page") : 1;
    var myClass = loadMoreSelector.parent().attr("class");
    var feedType = loadMoreSelector.attr("data-feedtype") ? loadMoreSelector.attr("data-feedtype") : 'current_future';
    var shortcodeType = 'listview';
    var maxNum = loadMoreSelector.attr("data-num");
    var embedModal = window.embedModal;
    loadMoreSelector.data("initialMarkup", loadMoreSelector.html());
    loadMoreSelector.children().toggle();

    if ('hero-listview' === myClass) {
      shortcodeType = 'hero-listview';
    }

    var data = {
      action: 'eb-listing-ajax',
      nonce: maxNum.eb_nonce,
      feedType: feedType,
      shortcodeType: shortcodeType,
      maxNum: maxNum,
      venueId: venueId,
      orgId: orgId,
      pageNum: ++pageNumber,
      embedModal: embedModal,
      exclude: excludeOptions,
      dateformat: dateFormat,
      imageSize: 'square'
    };
    // save pagination position
    loadMoreSelector.attr('data-page', pageNumber);

    $.get(EbAjax.ajaxurl, data, function (markup) {
      // console.log(data);
      if (($.trim(markup) == "") || ($.trim(markup) == "-1")) {
        loadMoreSelector.hide();
      } else {
        loadMoreSelector.before(markup);
        loadMoreSelector.html(loadMoreSelector.data("initialMarkup"));
        if (embedModal) {
          createEmbeddedModal(markup);
        }
      }
    });

    return false;
  });

  function createEmbeddedModal(markup) {
    var parser = new DOMParser();
    var doc = parser.parseFromString(markup, 'text/html');
    var buttons = doc.getElementsByClassName('ticket-link');
    for (var i = 0, len = buttons.length; i < len; i++) {

      ga(function (tracker) {
        var clientId = tracker.get('clientId');

        input = buttons[i].id;
        eventId = Number(input.match(/[0-9]+/g));
        window.EBWidgets.createWidget({
          widgetType: "checkout",
          eventId: eventId,
          modal: true,
          googleAnalyticsClientId: clientId,
          modalTriggerElementId: "eventbrite-widget-modal-trigger-" + eventId,
          affiliateCode: affiliateCode
        });

      });
    }
  }

  $("#searchQuery").bind("keypress", function (e) {
    if (e.keyCode == 13 /* enter */) {
      performSearch();
      return false;
    }
  });

  $("#searchButton").click(function () {
    performSearch();
  });

  $(".defaultText").live("focus", function () {
    $(this).data("defaultText", $(this).val()).val("").removeClass("defaultText");
  });

  $("input[type='text']").live("blur", function () {
    if ($.trim($(this).val()) != "")
      return true;

    var defaultText = $(this).data("defaultText");
    if (defaultText)
      $(this).removeData("defaultText").val(defaultText).addClass("defaultText");
  });

  function performSearch() {
    var query = $("#searchQuery").is(".defaultText") ? "" : $.trim($("#searchQuery").val());
    location.href = query == "" ? "/search/" : "/search/" + encodeURIComponent(query) + "/";
  }
});