<?php
/*

displays upcoming event in a calendar layout

Input:
$events: array (... event object ...)
$atts: array (timezone, timeformat, calTitle, event_url, calendar_url, list_url)

*/

global $post;

$days         = [];
$smallest_day = null;
$largest_day  = null;

extract( wp_parse_args( $atts, [
	'org'           => '',
	'venue'         => '',
	'timezone'      => '',
	'dateformat'    => 'D n/d',
	'caltitle'      => 'Upcoming Events',
	'calsync'       => 'off',
	'calshare'      => '',
	'exclude'       => '',
	'include'       => '',
	'linktarget'    => true,
	'imagesize'     => 'square',
	'featuredimage' => '',
	'excludevenue'  => '',
] ) );

echo '
<script>
    var excludeOptions = ' . wp_json_encode( $exclude ) . ';
    var venueId  = ' . wp_json_encode( $venue ) . ';
    var orgId  = ' . wp_json_encode( $org ) . ';
</script>
    ';
$exclude = explode( ",", $exclude );
$include = explode( ",", $include );

?>
	<section class="calendar-wrapper">
		<div id="loadingMessage" style="display: none;"><?php echo esc_html__( 'Loading...', 'eventbrite' ); ?></div>
		<section class="calendar-card card">
			<div id="datepicker" type="date" name="date"></div>
		</section>
		<div id="eventDateHeader"></div>
		<section class="list-view">
			<div id="shows"></div>
		</section>
	</section>
<?php if ( false && function_exists( 'eb_mobile_exit' ) ) { //todo: switch to desktop, disabled for now
	eb_mobile_exit();
}


if ( ( 'on' === $calsync ) || ( 'true' === $calshare ) ) { ?>

	<div class="calendar-sync">
		<?php
		if ( isset( $post->eb_type ) && isset( $post->eb_id ) ) {
			$calLink = eb_URL( 'ical', $post->eb_id, $post->eb_type );
		} else {
			$calLink = eb_URL( 'ical', '', '' );
		}
		$calLink      = get_bloginfo( 'home' ) . $calLink;
		$calLinkQVars = [];

		if ( $org ) {
			$calLinkQVars[ 'orgId' ] = $org;
		}
		if ( $venue ) {
			$calLinkQVars[ 'venueId' ] = $venue;
		}
		if ( $excludevenue ) {
			$calLinkQVars[ 'exclVenue' ] = $excludevenue;
		}
		if ( ! empty( $calLinkQVars ) ) {
			$calLink .= '?' . http_build_query( $calLinkQVars );
		}

		if ( ! in_array( "calendar-ical", $exclude, true ) ) { ?>
			<div class="ical-sync">
				<a aria-label="Add this event to your Mac Calendar"
				   href="<?php echo esc_url( trailingslashit( $calLink ) ); ?>" class="tf-tooltip">
					<span><?php echo esc_html__( 'Sync events to iCal', 'eventbrite' ); ?></span>
				</a>
			</div>
		<?php }

		if ( ! in_array( "calendar-gcal", $exclude, true ) && function_exists( 'eb_gCalLink' ) ) { ?>
			<div class="gcal-sync">
				<a aria-label="Add this event to your Google Calendar"
				   href="https://www.google.com/calendar/render?cid=<?php echo esc_url( rawurlencode( $calLink ) ); ?>"
				   target="_blank"
				   class="tf-tooltip">
					<span><?php echo esc_html__( 'Sync events to Google Calendar', 'eventbrite' ); ?></span>
				</a>
			</div>
		<?php } ?>
	</div>
<?php } // end calshare
