<?php
extract( wp_parse_args( $atts, [
	'timezone'   => '',
	'dateformat' => 'D n/d',
	'num'        => '4',
	'linktarget' => true,
] ) );

if ( $featured && ( $featured->totalResults > 0 ) && ( eb_is_valid_field( $featured->totalResults )) ) { ?>

		<script type="text/javascript">
			tflyMaxCarousel = <?php echo wp_json_encode($num) ; ?>;
		</script>

		<div id="tfly-featured-events">
			<ul class="images">
			<?php $carousel_count = 0; ?>
			<?php foreach ( $featured->events as $event ) {
					$urlVars = [];
					$urlVars = eb_getInitialUrlVars($event);
				?>

			  <li class="<?php echo eb_addClassIds($event); ?>"><a href="<?php echo eb_URL( 'event', $event->id, '', $urlVars ); ?>">

				<?php //is there an image?
				if (eb_is_valid_field($event->image->xlarge1->path)) { ?>
					<img src="<?php echo $event->image->xlarge1->path; ?>" title="<?php echo htmlentities($event->name->text, ENT_COMPAT); ?>" alt="<?php echo htmlentities($event->name, ENT_COMPAT); ?>" />
				<?php } else {
					//there is no artist image - and we only have a grey icon for this
						  $noimage = eb_plugin_dir_URL() . '/images/no-image/no-image.png';
					?>
					<img src="<?php echo $noimage;?>"  title="<?php echo htmlentities($event->name->text, ENT_COMPAT); ?>" alt="<?php echo htmlentities($event->name, ENT_COMPAT); ?>" />
				<?php } ?>
				</a></li>

				<?php $urlVars = null;
						$carousel_count++;
				if ( $carousel_count == $num  ) {
					break;
				} ?>
			<?php } ?>

			</ul>

	<?php if ( $carousel_count > 1 ) { ?>
			<ul id="overlay-content">
				<?php $ocount = 0; foreach ( $featured->events as $event ) {
					$urlVars = [];
					$urlVars = eb_getInitialUrlVars($event);
					?>
				<li id="overlay-<?php echo $ocount; ?>" class="<?php echo eb_addClassIds($event); ?>">
					<div class="headliners"><a href="<?php echo eb_URL( 'event', $event->id, '', $urlVars ); ?>"><?php echo tfly_friendly_headliner( $event->name->text ); ?></a></div>
					<div class="date-venue"><?php echo date( $dateformat, strtotime( $event->startDate ) ); ?> - <?php echo $event->venue->name; ?></div>
					<?php
					if ( 'BUY' === $event->eventStatusCode ) {
					  //ticket in BUY state
						$onsaleTimestamp = strtotime( $event->onSaleDate . " - 15 seconds"); //this the timestamp of the onsale date/time
					  // this is the timestamp of the server adjusted for
						$nowTimestamp = strtotime('now');
					  // make the comparison between the timestamps
						if ($nowTimestamp > $onsaleTimestamp ) {
							$purchaseLink = eb_purchaseLink( $event, _( "Tickets" ), $linktarget);
							if ( $purchaseLink ) {
								?>
					<div class="ticket-link"><?php echo $purchaseLink;?></div>
							<?php }
						}
					} ?>
				</li>
					<?php $ocount++;
					$urlVars = null;?>
				<?php } ?>
			</ul>
	<?php } ?>

			<div id="grey-back"></div>
			<div id="overlay">
				<div class="change">
					<div class="headliners"><a href="<?php $urlVars = [];
					   $urlVars = eb_getInitialUrlVars($featured->events[0]);
					echo eb_URL( 'event', $featured->events[0]->id, '', $urlVars );
					$urlVars=null; ?>"><?php echo tfly_friendly_headliner( $featured->events[0]->name ); ?></a></div>
					<div class="date-venue"><?php echo date( $dateformat, strtotime( $featured->events[0]->startDate ) ); ?> - <?php echo $featured->events[0]->venue->name; ?></div>
					<?php
					if ( 'BUY' === $featured->events[0]->eventStatusCode ) {
					  //ticket in BUY state
						$onsaleTimestamp = strtotime( $featured->events[0]->onSaleDate . " - 15 seconds"); //this the timestamp of the onsale date/time
					  // this is the timestamp of the server adjusted for
						$nowTimestamp = strtotime('now');
					  // make the comparison between the timestamps
						if ($nowTimestamp > $onsaleTimestamp ) {
							$purchaseLink = eb_purchaseLink( $featured->events[0], _( "Tickets" ), $linktarget);
							if ( $purchaseLink ) {
								?>
					<div class="ticket-link"><?php echo $purchaseLink;?></div>
							<?php }
						}
					} ?>
				</div>
				<?php if ( $carousel_count > 1 ) { ?>
				<ul class="nav">
				</ul>
				<?php } ?>
			</div>
		</div>
	<?php if ( $carousel_count > 1 ) { ?>
<script type="text/javascript">
	var carousel;
	jQuery( document ).ready( function() { carousel = new tfly.carousel(); } );
</script>
	<?php }
}
//}
