<?php
/**
 * Created by Marco
 * Date: 4/22/13
 */

extract( wp_parse_args( $atts, [
	'timezone'   => '',
	'dateformat' => 'M j',
	'num'        => '4',
	'imagesize'  => 'xlarge1',
	'linktarget' => true,
	'exclude'    => '',
] ) );

$exclude = explode( ",", $exclude );

if ( $ebApiData->get_events() && ( count($ebApiData->get_events()) > 0 ) ) {
	?>
	<div id='slider' class='swipe'>
		<div class='swipe-wrap'>
			  <?php

				foreach ( $ebApiData->get_events() as $i => $event ) {
					$imagePath           = ( $event->logo !== null )
											? eb_imageUrlBuild( $event->logo->original->url ) : '';
					$headliner_image_url = ( ! in_array( "master-image", $exclude, true ) &&
											! in_array( "headliner-image", $exclude, true ) ) ?
											//eb_imageTag always properly escapes the image.
											eb_imageTag( $imagePath, '', '', $event->name->text, '', $imagesize, '' ) : '';
					$urlVars             = eb_getInitialUrlVars( $event );
					$performers         = new Performers();
					$performancesMarkup = $performers->get_event_headline( $event );
					$display_date = ( ! $event->hide_start_date );
					?>
			   <div class="<?php echo esc_attr( eb_addClassIds( $event ) ); ?>"><a
						   href="<?php echo esc_url( eb_URL( 'event', $event->id, '', $urlVars ) ); ?>">
					   <?php
							echo wp_kses_post( $headliner_image_url );
							echo sprintf(
								'<div class="slider-overlay">%s<div class="event-name-venue">%s%s</div></div>',
								( ( $event->start->local  && $display_date) ? '<div class="start-date">' . esc_html( date( $dateformat, strtotime( $event->start->local ) ) ) . '</div>' : '' ),
								'<div class="event-name">' . esc_html( $event->name->text ) . '</div>',
								( ( ( $event->venue->name ) && ! in_array( "venue", $exclude, true ) ) ?
								'<span class="venue tertiary-text">' . esc_html( $event->venue->name ) . '</span>' : '' )
							);
						?>
				   </a>
			   </div>
					<?php
				}
				?>
		</div>
	</div>
	<?php
}
