<?php

global $post;
$events = ( $ebApiData->get_events() ) ? $ebApiData->get_events(true) : [];

// phpcs:ignore  extract() will be one of our last PHPCS items to resolve
extract( wp_parse_args( $atts, [
	'timezone'   => '',
	'dateformat' => 'n/d',
	'venue'      => '',
] ) );
?>

<section class="sidebar-list just-announced">
	<?php
	if ( $title ) { ?>
		<h2><?php echo esc_html( $title ); ?></h2>
	<?php }
	?>
	<ul><?php

	if ( count( $events ) > 0 ) {

		foreach ( $events as $count => $event ) {
			$performers         = new Performers();
			$performancesMarkup = $performers->get_event_headline( $event );
			$notyetonsaletext = 'On Sale ' . esc_html( date( $dateformat, strtotime( $event->event_sales_status->start_sales_date->local ) ) );
			$notyetonsale     = ( eb_ticketStatus( $event ) === 'NOT_YET_ON_SALE' ) ? ' <span class="on-sale">' . esc_html( $notyetonsaletext ) . '</span>' : '';
			?>
				<li class="<?php echo esc_attr( eb_addClassIds( $event ) ); ?>">
					<a href="<?php
					$urlVars = [];
					$urlVars = eb_getInitialUrlVars( $event );
					echo  esc_url( eb_URL( 'event', $event->id, '', $urlVars ) );
					$urlVars = null;
					?>">
					<?php add_filter( 'wp_kses_allowed_html', 'event_detail_kses_allowed_html', 10, 2 );
					echo wp_kses_post($performancesMarkup);
					remove_filter( 'wp_kses_allowed_html', 'event_detail_kses_allowed_html' ); ?>
						<?php if ( ! $event->hide_start_date ) { ?>
							<span class="date"> - <?php echo  esc_html( eb_eventDate( $dateformat, strtotime( $event->start->local ) ) ); ?></span>
						<?php } ?>
						<?php echo wp_kses_post( $notyetonsale ); ?>
					</a></li>
		<?php }

	} else {
		echo '<li class="no-events">';
		if ( isset( $errorMsg ) ) {
			echo esc_html( $errorMsg );
		} else {
			eb_generate_no_events_status_message();
		}
		echo '</li>';
	}
	?></ul>
</section>
