<?php

$pagination = ( $ebApiData->get_pagination() ) ? $ebApiData->get_pagination() : [];
$eventCount = $ebApiData->get_pagination()['object_count'];

extract( wp_parse_args( $atts, [
	'imagesize'    => 'square',
	'timezone'     => '',
	'dateformat'   => 'D n/d',
	'title'        => 'Upcoming Shows',
	'exclude'      => '',
	'include'      => '',
	'page'         => '',
	'calshare'     => 'true',
	'num'          => '',
	'venue'        => '',
	'org'          => '',
	'excludevenue' => '',
	'type'         => ''
] ) );

echo '
<script>
    var excludeOptions = ' . wp_json_encode( $exclude ) . ';
    var dateFormat  = ' . wp_json_encode( $dateformat ) . ';
    var venueId  = ' . wp_json_encode( $venue ) . ';
    var orgId  = ' . wp_json_encode( $org ) . ';
</script>
    ';
$exclude = explode( ",", $exclude );
$include = explode( ",", $include );
$searchClass = '';
if ( isset( $_GET['q'] ) ) {
	$searchQuery = sanitize_text_field( $_GET[ 'q' ] );
	$searchClass = ' search-results';
}
?>
<div class="list-view<?php echo esc_attr($searchClass); ?>">
	<?php if ( ! in_array( "list-view-title", $exclude, true ) ) { ?>
	   <div class="list-view-heading">
			 <?php

				if ( isset( $_GET['q'] ) ) {

					if ( $searchQuery === 'Enter an Artist, Event, City or Venue' ) {
						echo '<h2 class="list-view-title">';
						esc_html_e( 'Looking for something? Use the box above.', "ticketfly" );
						echo '</h2>';
					} else {
						echo '<h2 class="list-view-title">';
						esc_html_e( 'Search results', "ticketfly" );
						echo '</h2>';
					}

				} ?>
	   </div>
		<?php
	} // end of title exclusion if statement

	if ( is_integer( $eventCount ) && ( $eventCount > 0 ) ) {

		if ( isset( $_GET['q'] ) ) { ?>
		  <div class="search-results-message">
				 <?php
					$searchResultsText = $eventCount;
					if ( $eventCount === 1 ) {
						$searchResultsText .= '&nbsp;search result&nbsp;for&nbsp;';
					} else {
						$searchResultsText .= '&nbsp;search results&nbsp;for&nbsp;';
					}
					$searchResultsText .= "&ldquo;" . _wp_specialchars( $searchQuery ) . "&rdquo;";
					echo esc_html( $searchResultsText ); ?>
		  </div>
		<?php }

		$templPathList = eb_locate_template( 'list-view-item' );

		foreach ( $ebApiData->get_events() as $event ) {
			$urlVars    = eb_getInitialUrlVars( $event );
			$templPath  = $templPathList;
			$urlClasses = 'event-url';
			include( dirname( __FILE__ ) . '/../inc/listView-values.php' );
			$performers         = new Performers();
			$performancesMarkup = $performers->build_Listview_Performers( $event, false, $exclude );

			if ( ! empty( $templPath ) ) {
				require $templPath;
			}
			$urlVars = null;

		} // end event loop ?>
		<?php //}

	} elseif ( $searchQuery === 'Enter an Artist or Event' ) {
		//user pressed enter without using the search box
		?><br/>
	<?php } elseif ( isset( $_GET['q'] ) ) {
		?>
	   <div class="search-results-message">
		   <p><b>No results found for &ldquo;<?php echo esc_html( $searchQuery ); ?>&rdquo;.</b></p>
		   <p>We're sorry, but we couldn't find any events for
			   &ldquo;<?php echo esc_html( $searchQuery ); ?>&rdquo;.
			   Please check your spelling and punctuation and try again using the search box above. </p>
	   </div>
	<?php } else {
		//no events were returned in the events listing ?>
	   <h3 class="event-status-message"><?php
		if ( false !== strpos( $type, 'onsale' ) ) {
			esc_html_e( "No upcoming on sales. Check back soon.", "ticketfly" );
		} else {
			eb_generate_no_events_status_message();
		} ?></h3>
	<?php }

	?>
	<?php if ( $pagination['page_count'] > 1 && ! in_array( "pagination", $exclude, true ) ) : ?>
	   <div class="loadMore" data-num="<?php echo esc_attr($pagination['page_size']); ?>" data-feedtype="<?php echo esc_attr($type); ?>">
			 <?php
				if ( ! in_array( "pagination-load-more", $exclude, true ) ) {
					echo '<div role="button" aria-label="Load More Events" tabindex=0 data-tabindex=0 
				 class="loadMoreBtn">Show More Events</div>';

				} else {

					eb_listview_pagination( $ebApiData->get_pagination(), $exclude );

				} ?>
	   </div>
	<?php endif; ?>
</div>
