<?php
//function print_onSale($events, $atts) {
global $post;

extract( wp_parse_args( $atts, [
	'timezone'   => '',
	'dateformat' => 'D n/d',
	'title'      => '',
	'venue_id'   => '',
	'errorMsg'   => '',
] ) );
?>

<section class="sidebar-list onsale card">
	<?php if ( $title ) { ?>
		<h2><?php echo $title; ?></h2>
	<?php } ?>
	<ul><?php
	if ( ( $events->totalResults > 0 ) && ( eb_is_valid_field( $events->totalResults ) ) ) {
		foreach ( $events->events as $event ) {
			date_default_timezone_set( $event->venue->timeZone ); ?>
				<li class="<?php echo eb_addClassIds( $event ); ?>">
					<a href="<?php $urlVars = [];
					$urlVars                = eb_getInitialUrlVars( $event );
					echo eb_URL( 'event', $event->id, '', $urlVars );
					$urlVars = null; ?>"><?php echo $event->name->text; ?> - <span
								class="date tertiary-text"><?php echo date(
									$dateformat,
									strtotime( $event->startDate ) 
                                ); ?></span>
						<?php if ( eb_is_valid_field( $event->onSaleDate ) ) { ?>
							<?php if ( ( strtotime( date( 'Y-m-d' ) ) === strtotime( date(
								'Y-m-d',
								strtotime( $event->onSaleDate ) 
							) ) ) && ( strtotime( $event->onSaleDate ) < time() ) ) { ?>
								<br/><span class="on-sale on-sale-now"><?php echo __(
									"On sale now",
									"ticketfly" 
                                ); ?></span>
							<?php } else { ?>
								<br/><span class="on-sale"><?php echo sprintf(
									__( "On sale %s", "ticketfly" ),
									date( "n/d", strtotime( $event->onSaleDate ) ) 
                                ); ?></span>
							<?php } ?>
						<?php } ?>
					</a></li>
		<?php } ?>
	<?php } else {
			echo '<li class="no-events">';
		if ( $errorMsg ) {
			echo $errorMsg;
		} else {
			_e( "No upcoming on sales. Check back soon.", "ticketfly" );
		}
			echo '</li>';
	}
	?></ul>
</section>
