<?php while ( have_posts() ) :
	the_post(); ?>
	<section class="card">
		<article <?php post_class(); ?>>
			<header>
				<h1 class="entry-title"><?php the_title(); ?></h1>
				<?php get_template_part( 'templates/entry-meta' ); ?>
				<?php the_tags( '<div class="entry-tags">Tags: ', ', ', '</div>' ); ?>
				<?php $cats = get_the_category_list( ', ' );
				if ( $cats ) {
					echo '<div class="entry-categories">Categories: ' . esc_html( $cats ) . '</div>';
				
				}
				?>
				<?php if ( 'post' === get_post_type() ) :
					?>
					<div class="blog-share">
						<div style="display:inline-block;vertical-align: top;">
							<div class="fb-share-button"
								 data-href="<?php echo esc_url( get_permalink() ); ?>"
								 data-layout="button">
							</div>
						</div>
						<a href="https://twitter.com/share"
						   class="twitter-share-button"
						   data-url="<?php echo esc_url( get_permalink() ); ?>"
						   data-count="none"
						   data-counturl="<?php echo esc_url( get_permalink() ); ?>"
						   data-text="<?php echo esc_attr( get_the_title() ); ?>"
						   data-via="Ticketfly"><?php echo esc_html__( 'Tweet', 'eventbrite' ); ?></a>
					</div>
					<?php 
				endif; ?>
			</header>
			<div class="entry-content">
				<?php the_content(); ?>
			</div>
			<footer>
				<?php wp_link_pages( [
					'before' => '<nav class="page-nav"><p>' . __( 'Pages:', 'sage' ),
					'after'  => '</p></nav>',
				] ); ?>
			</footer>
		</article>
	</section>
	<?php 
endwhile; ?>
