<?php
/**
 * @package gold-parent_s
 */
?>

    <meta charset="<?php bloginfo( 'charset' ); ?>">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title><?php wp_title( '|', true, 'right' ); ?></title>
<?php $description = get_bloginfo( 'description', 'display' );
if ( $description ) : ?>
    <meta name="description" content="<?php echo esc_attr( $description ); ?>" /><?php endif;
?>

    <link rel="profile" href="http://gmpg.org/xfn/11">
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/font-awesome/4.7.0/css/font-awesome.min.css">

    <!-- Create a 300px wide og-logo.png and upload it to http://realfavicongenerator.net/ in order to generate a family of touch icons corresponding to the links below -->
    <!-- A 144x144px customIcon.png will need to be created separately -->
    <!-- All touch icons should be added to the child theme folder -->
    <link rel="apple-touch-icon" sizes="180x180"
          href="<?php echo esc_url( get_stylesheet_directory_uri() ); ?>/apple-touch-icon.png">
    <link rel="icon" type="image/png" sizes="32x32"
          href="<?php echo esc_url( get_stylesheet_directory_uri() ); ?>/favicon-32x32.png">
    <link rel="icon" type="image/png" sizes="16x16"
          href="<?php echo esc_url( get_stylesheet_directory_uri() ); ?>/favicon-16x16.png">
    <link rel="manifest" href="<?php echo esc_url( get_stylesheet_directory_uri() ); ?>/manifest.json">
    <link rel="mask-icon" href="<?php echo esc_url( get_stylesheet_directory_uri() ); ?>/safari-pinned-tab.svg"
          color="#ffffff">
    <meta name="theme-color" content="#ffffff">

<?php if ( ! is_page( array( 'event', 'e' ) ) ) { ?>
    <meta property="og:image" content="<?php bloginfo( 'stylesheet_directory' ); ?>/og-logo.png"/>
    <meta property="og:description" content="<?php if ( is_single() ) {
		 single_post_title( '', true );
	 } else {
		 bloginfo( 'description' );
	 } ?>"/>
<?php } ?>