<?php

/* 
* A wide variety of handy functions are already being loaded by the Parent Theme such as:
* - Sidebar, header and footer widgets
* - An enqueue for the blank custom.js file included in your child theme
* - Activation of the full set of Post Formats
*/

/**
 * Enqueue scripts and styles.
 */
function child_styles() {
	wp_enqueue_style( 'parent-style', get_template_directory_uri() . '/style.css' );
	wp_enqueue_script( 'child-js', get_stylesheet_directory_uri() . '/js/custom.js', array(), '', true );
}
add_action( 'wp_enqueue_scripts', 'child_styles' );


// widget override
function custom_child_widgets() {
  
  // unregister_sidebar( 'sidebar-1' );

	register_sidebar( array(
		'name'          => __( 'Footer Widgets 1', 'gold-parent_s' ),
		'id'            => 'footer-widgets-1',
		'before_widget' => '<aside id="%1$s" class="widget %2$s">',
		'after_widget'  => '</aside>',
		'before_title'  => '<h2 class="widget-title">',
		'after_title'   => '</h2>',
	) );
	register_sidebar( array(
		'name'          => __( 'Footer Widgets 2', 'gold-parent_s' ),
		'id'            => 'footer-widgets-2',
		'before_widget' => '<aside id="%1$s" class="widget %2$s">',
		'after_widget'  => '</aside>',
		'before_title'  => '<h2 class="widget-title">',
		'after_title'   => '</h2>',
	) );
	register_sidebar( array(
		'name'          => __( 'Footer Widget 3', 'gold-parent_s' ),
		'id'            => 'footer-widgets-3',
		'before_widget' => '<aside id="%1$s" class="widget %2$s">',
		'after_widget'  => '</aside>',
		'before_title'  => '<h2 class="widget-title">',
		'after_title'   => '</h2>',
	) );
	register_sidebar( array(
		'name'          => __( 'Extra Widgets', 'gold-parent_s' ),
		'id'            => 'extra-widgets',
		'before_widget' => '<aside id="%1$s" class="widget %2$s">',
		'after_widget'  => '</aside>',
		'before_title'  => '<h2 class="widget-title">',
		'after_title'   => '</h2>',
	) );
}
add_action( 'widgets_init', 'custom_child_widgets', 11 );


// Uncomment the next four lines in order to override the gallery thumbnail function in the parent theme
	// function gallery_thumb_child() {
	// add_image_size('gallery-format-thumbnail',110,85,true); // WordPress gallery template thumbnail size
	// }
	// add_action( 'wp_loaded', 'gallery_thumb_child', 15 );

?>